Date:   Mon Apr 6 11:23:14 2015 +0100
History is versioned in this Git repository:
https://git-tails.immerda.ch/liveusb-creator

commit 0225dc48eb0e8f462b3082cd2aecb271decf7988
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Jun 24 14:09:58 2009 -0400

    v3.7

 liveusb-creator.spec |    5 ++++-
 setup.py             |    4 ++--
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 71d73e76411e9b6d27db95c0dca567425e988c3a
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Jun 24 14:08:35 2009 -0400

    Hack around some odd Windows file permission issues

 liveusb/creator.py |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 52975b16377e1e9e6c9bf3041d2502a3044e6df7
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Jun 23 14:47:07 2009 -0400

    A little bit of unnecessary code removal

 liveusb/creator.py |   11 -----------
 liveusb/gui.py     |    1 -
 2 files changed, 0 insertions(+), 12 deletions(-)

commit 7377b2a861c9737a67b77dca5bf15095ab68eaf9
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Jun 23 14:38:52 2009 -0400

    Drop a warning if the MBR doesn't match syslinux, and don't force people to reset.

 liveusb/creator.py |    4 ++--
 liveusb/gui.py     |   14 +++++++++-----
 2 files changed, 11 insertions(+), 7 deletions(-)

commit 2ef0e7cf4f57a9e3b9b7cbde53e76579d7ce38b3
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Jun 23 14:38:12 2009 -0400

    Update Sugar on a Stick to the new "Strawberry" release

 liveusb/releases.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0c77c9883bd6a3dbc0848e5a3c4fe078ec85ad06
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jun 19 11:51:54 2009 -0400

    Refactor some of our mbr checking code, so it is essentially a NOOP in Windows

 liveusb/creator.py |   93 ++++++++++++++++++++++++++++++----------------------
 1 files changed, 54 insertions(+), 39 deletions(-)

commit 27b28fad946b44b958f1d2c00a215e621ef5e0d6
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jun 19 11:48:25 2009 -0400

    Make our MBR checking work on devices w/o parents

 liveusb/creator.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 37805207d925c1abaed69dc6e78045f2df36fe75
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jun 19 02:40:14 2009 -0400

    Don't clear the text area when another stick is inserted

 liveusb/gui.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d77bb67eceb97f6d85430936ae04df563c929b25
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jun 19 02:39:53 2009 -0400

    Allow people to pass the ISO as a command line argument

 liveusb/gui.py |   18 +++++++++++++-----
 1 files changed, 13 insertions(+), 5 deletions(-)

commit 537cff6bf344bad6308e88fd466ace3bf5a5a0be
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jun 19 02:38:54 2009 -0400

    Don't try and unmount th device every time the window is closed

 liveusb/creator.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cc462b30c4fdde854a6d09984fccc2ccd0377453
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jun 19 02:38:42 2009 -0400

    Some minor command formatting tweaks

 liveusb/creator.py |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit dcf9a57f7a8a0069d061034a0b9fdcb3d76b3107
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jun 19 02:38:22 2009 -0400

    Fix our ldlinux.sys cleanup code

 liveusb/creator.py |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit e6ddd4f673350615a108ecde825789753766e15a
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jun 19 02:37:59 2009 -0400

    Make our unmount method a bit more robust.
    
    If HAL fails, call unmount directly...

 liveusb/creator.py |   29 +++++++++++++++++++----------
 1 files changed, 19 insertions(+), 10 deletions(-)

commit 7c5d3392ae93d7f98702df128ee26cb79edd86b8
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jun 19 02:37:45 2009 -0400

    Bump version for next release

 liveusb-creator |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5084936157d3f1115f239f06bab32aeaa713aa4c
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jun 19 02:36:03 2009 -0400

    Ensure the MBR matches the installed syslinux mbr.bin.
    
    When zeroing out your drive, and then laying down a fresh msdos partition table and FAT32 partition in Gparted, it seems to set an invalid MBR (b8fa).
    This patch will ensure that your MBR matches the system-wide mbr.bin before
    continuing.  (#506886)

 liveusb-creator    |    3 +++
 liveusb/creator.py |   47 +++++++++++++++++++++++++++++++++++++----------
 liveusb/gui.py     |   17 +++++++++++++++++
 3 files changed, 57 insertions(+), 10 deletions(-)

commit 621ca1694fdfa6c73fcbfd3d35d8dc05fd605228
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Jun 18 12:30:56 2009 -0400

    Update a unit test to handle sha256 checksums in our liveusb.releases file

 tests/test_creator.py |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 48f15fa50ca7da1c928b086c465596a0b52ae1df
Author: raven <raven@fedoraproject.org>
Date:   Sun Jun 14 18:14:18 2009 +0000

    Sending translation for Polish

 po/pl.po |   38 +++++++++++++++++++++++++-------------
 1 files changed, 25 insertions(+), 13 deletions(-)

commit 1000313a7638c4e13a3c3c01f682b53b8fc498cd
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jun 12 16:37:49 2009 -0400

    v3.6.8

 liveusb-creator.spec |    5 ++++-
 setup.py             |    4 ++--
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 1415f61541477a47623797ec0239de1038fcfbfa
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jun 12 16:33:23 2009 -0400

    Remove some stray print statements

 liveusb/creator.py |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 5487a20c6902fd0124dc503055497be7ea5509ae
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jun 12 16:33:12 2009 -0400

    Don't prompt about overwriting files from mtools (#491234)

 liveusb/creator.py |   23 +++++++++++++++++------
 1 files changed, 17 insertions(+), 6 deletions(-)

commit 5d86804483340aedf8d8b4151c8d5672e1cf3369
Author: kristho <kristho@fedoraproject.org>
Date:   Fri Jun 12 14:08:14 2009 +0000

    Sending translation for po/da.po

 po/da.po |  309 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 309 insertions(+), 0 deletions(-)

commit f50749d277aceb82fc99863097170ed804264761
Author: kristho <kristho@fedoraproject.org>
Date:   Fri Jun 12 14:06:42 2009 +0000

    Sending translation for po/da_DK.po

 po/da_DK.po |  309 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 309 insertions(+), 0 deletions(-)

commit ef51fa9f86aa8ae28131504293c65bf274f3430b
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jun 12 03:23:38 2009 -0400

    Be more vocal about our ISO MD5 checksum results

 liveusb/creator.py |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit bfaa19f05cc2988d38fa0a0fa8086e1bf17dc0a1
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Jun 9 10:18:43 2009 -0400

    3.6.7

 liveusb-creator.spec |    5 ++++-
 setup.py             |    4 ++--
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 5f2388271bfcf3759b27b8182a3d4d7a4020058b
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Jun 9 10:17:04 2009 -0400

    Fix a bug when using ext formatted sticks.
    
    So, apparently extlinux expects the configuration file to be named
    extlinux.conf not .cfg.  Wow.

 liveusb/creator.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 69fea0a168fb267e9098fc0c1b5b9691f6cf9005
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Jun 9 09:27:49 2009 -0400

    Merge our spec file with rawhide

 liveusb-creator.spec |   13 ++++++++++++-
 1 files changed, 12 insertions(+), 1 deletions(-)

commit b5d173190a8d55c46bde352af4c236261ec69dd5
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Jun 9 09:26:21 2009 -0400

    Make olpc.fth unfreeze disply for newer BIOSes than Q2E30 (#501688)

 liveusb/olpc.py |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7a182901c6433e9ba87a06c76bcbc7e386db0a18
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Jun 9 09:22:45 2009 -0400

    3.6.6

 liveusb-creator.spec |    7 +++++--
 setup.py             |    4 ++--
 2 files changed, 7 insertions(+), 4 deletions(-)

commit 49501044ba2574a51b3e0718e71076d8e339f017
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Jun 9 09:14:45 2009 -0400

    Update our win32 syslinux to 3.81

 tools/syslinux.exe |  Bin 27136 -> 27648 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit ae11cab03a35605eca3e6fc7afb94fd25dba2b1c
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Jun 9 09:10:25 2009 -0400

    Add Fedora 11 releases!

 liveusb/releases.py |   25 ++++++++++++-------------
 1 files changed, 12 insertions(+), 13 deletions(-)

commit aff9357adbe48b8212cf4690a6dbea4bec23635c
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon May 11 23:09:00 2009 -0400

    Use our syslinux's menu com32 modules (#492370, #494000)
    
    com32 modules in syslinux don't seem to have a consistent API, so
    workaround it by copying in the menu files from syslinux.

 liveusb/creator.py |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit 48758ef4a36bfc6e468c8487708859ba211b06f1
Author: willwill <willwill@fedoraproject.org>
Date:   Fri May 29 18:27:24 2009 +0000

    Sending translation for Thai

 po/th.po |  352 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 191 insertions(+), 161 deletions(-)

commit c6039e3f1dfc8cab1fa347407ac72af2175d908b
Author: xconde <xconde@fedoraproject.org>
Date:   Wed May 20 19:55:41 2009 +0000

    Sending translation for Catalan

 po/ca.po |  345 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 175 insertions(+), 170 deletions(-)

commit 5c7f54ba9340d1f653c801ab9871caa8b3c0119f
Author: ppapadeas <ppapadeas@fedoraproject.org>
Date:   Mon May 11 11:45:56 2009 +0000

    Sending translation for Greek

 po/el.po |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit be17465da3ab6e1e6d42c74f6dcb4dc1475c92f9
Author: ppapadeas <ppapadeas@fedoraproject.org>
Date:   Mon May 11 11:13:08 2009 +0000

    Sending translation for Greek

 po/el.po |  206 ++++++++++++++++++++++++++-----------------------------------
 1 files changed, 88 insertions(+), 118 deletions(-)

commit bf2109178889e73fa47ff61073eeaadd0e1a9ce0
Author: tbull <tbull@fedoraproject.org>
Date:   Fri Apr 17 14:33:01 2009 +0000

    Sending translation for German

 po/de.po |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit 237816146246d6eaa6d8e000024cbf4ba1dff31d
Author: raven <raven@fedoraproject.org>
Date:   Thu Apr 16 21:00:54 2009 +0000

    Sending translation for Polish

 po/pl.po |   68 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 36 insertions(+), 32 deletions(-)

commit c3703ff2b69d88e77f7500ba269745b6a7a15340
Author: renault <renault@fedoraproject.org>
Date:   Mon Apr 13 17:00:25 2009 +0000

    Sending translation for French

 po/fr.po |  277 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 138 insertions(+), 139 deletions(-)

commit 4d02e10f9487e6cb6a88561bff640b9dd7c279e5
Author: peti <peti@fedoraproject.org>
Date:   Mon Apr 13 06:58:50 2009 +0000

    Sending translation for po/hu.po

 po/hu.po |  310 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 310 insertions(+), 0 deletions(-)

commit c5d7ced84680b9596d82c2aab181130631fe517c
Author: rafaelgomes <rafaelgomes@fedoraproject.org>
Date:   Sun Apr 12 05:33:37 2009 +0000

    Sending translation for Brazilian Portuguese

 po/pt_BR.po |  274 +++++++++++++++++++++++++++--------------------------------
 1 files changed, 124 insertions(+), 150 deletions(-)

commit aec98e08d99283699908f4e8a000e88bcdc86357
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 9 14:04:26 2009 -0400

    Fedora 8 is EOL'd

 liveusb/releases.py |   20 --------------------
 1 files changed, 0 insertions(+), 20 deletions(-)

commit aaa024430216c380fd031c440b55a88364d1f1b1
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 9 13:54:28 2009 -0400

    Display the appropriate hash algorithm

 liveusb/creator.py |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 8a28d48f91a588f421495c64ac8102c6f4699984
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 9 11:38:02 2009 -0400

    Support sha256 checksums for our release ISOs

 liveusb-creator.spec |    2 +-
 liveusb/creator.py   |    9 +++++++--
 liveusb/gui.py       |    2 +-
 liveusb/releases.py  |    8 ++++----
 4 files changed, 13 insertions(+), 8 deletions(-)

commit 41fe71f3f03cd3e70d20d9099424b3880ddd542d
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 9 10:20:38 2009 -0400

    Revert "Store our version in liveusb.__version__"
    
    This reverts commit 5b4c0b89cf7e743eacb44e03b10a5b2fc5467287.
    
    Turns out, this was a bad idea, and breaks things.

 liveusb-creator     |    2 +-
 liveusb/__init__.py |    2 --
 setup.py            |    5 ++---
 3 files changed, 3 insertions(+), 6 deletions(-)

commit 5b4c0b89cf7e743eacb44e03b10a5b2fc5467287
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 9 10:19:01 2009 -0400

    Store our version in liveusb.__version__

 liveusb-creator     |    2 +-
 liveusb/__init__.py |    2 ++
 setup.py            |    5 +++--
 3 files changed, 6 insertions(+), 3 deletions(-)

commit 0307bf1e4fd0b9c8c40ce3c5080ad74598465230
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 9 09:59:34 2009 -0400

    v3.6.5

 liveusb-creator      |    2 +-
 liveusb-creator.spec |    5 ++++-
 setup.py             |    4 ++--
 3 files changed, 7 insertions(+), 4 deletions(-)

commit 814c4e14773ab36abaa70ff151b73cb229f18b01
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 9 09:59:18 2009 -0400

    Add F11 beta, and the latest Sugar on a Stick to our releases list

 liveusb/releases.py |   50 +++++++++++++++++++++++++-------------------------
 1 files changed, 25 insertions(+), 25 deletions(-)

commit f0a47162b6125fe457f1b53495b6048349411c93
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 9 09:58:57 2009 -0400

    If no 'sha1' is specified in our releases list, don't try and verify it

 liveusb/gui.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 44ebc0a351a1aabe153559ca699a881b6139dfad
Author: warrink <warrink@fedoraproject.org>
Date:   Sat Apr 4 15:55:27 2009 +0000

    Sending translation for Dutch

 po/nl.po |  117 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 66 insertions(+), 51 deletions(-)

commit d245ccc240302bcbb6026c6e0b79bee55ffa64c0
Author: warrink <warrink@fedoraproject.org>
Date:   Thu Apr 2 18:55:47 2009 +0000

    Sending translation for po/nl.po

 po/nl.po |  280 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 280 insertions(+), 0 deletions(-)

commit 1b5d23f6f5925f787816f5d6b0439ba19ba8edf8
Author: feonsu <feonsu@fedoraproject.org>
Date:   Thu Apr 2 13:48:51 2009 +0000

    Sending translation for Slovak

 po/sk.po |  300 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 149 insertions(+), 151 deletions(-)

commit c972884f7feea4f76ef37a6d51d1c8d37f108d1d
Author: fab <fab@fedoraproject.org>
Date:   Mon Mar 30 20:42:31 2009 +0000

    Sending translation for German

 po/de.po |  291 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 137 insertions(+), 154 deletions(-)

commit df775aacbca67c35c559cc28ff0c062cd99d31a2
Author: tombo <tombo@fedoraproject.org>
Date:   Thu Mar 26 05:23:43 2009 +0000

    Sending translation for Italian

 po/it.po |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit fe685eebfe4d50ceb7fd98ff564ae75a91ff5c83
Author: ccielogs <ccielogs@fedoraproject.org>
Date:   Wed Mar 25 12:59:33 2009 +0000

    Sending translation for Italian

 po/it.po |  285 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 137 insertions(+), 148 deletions(-)

commit 9e0ca105a85df53027f6885bb59681d6a710ce46
Author: ruigo <ruigo@fedoraproject.org>
Date:   Wed Mar 25 12:35:25 2009 +0000

    Sending translation for Portuguese

 po/pt.po |  294 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 139 insertions(+), 155 deletions(-)

commit fa1f26fe9e00e2e3794d0e389b2f0b248f8a6ec7
Author: beckerde <beckerde@fedoraproject.org>
Date:   Sat Mar 21 03:57:20 2009 +0000

    Sending translation for Spanish

 po/es.po |  294 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 138 insertions(+), 156 deletions(-)

commit 350faca8bc306b1036a9944961c16fd582cf84b7
Author: kmilos <kmilos@fedoraproject.org>
Date:   Fri Mar 20 21:57:26 2009 +0000

    Sending translation for po/sr@latin.po

 po/sr@latin.po |  297 ++++++++++++++++++++++++++++----------------------------
 1 files changed, 149 insertions(+), 148 deletions(-)

commit 1c1a28f235b85c701089f1cc78a65ba10b3903af
Author: kmilos <kmilos@fedoraproject.org>
Date:   Fri Mar 20 21:56:41 2009 +0000

    Sending translation for Serbian

 po/sr.po |  288 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 144 insertions(+), 144 deletions(-)

commit c5218bb4c59bcae10b9b64a6646fb21db93d8a09
Author: Rui Manuel da Costa Gouveia <rui.gouveia@globaltek.pt>
Date:   Thu Mar 19 12:01:45 2009 +0000

    Minor Portuguese update. String added without notice in ml...
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/pt.po |   28 ++++++++++++++++------------
 1 files changed, 16 insertions(+), 12 deletions(-)

commit 94c7b67113d55187b17b467de647c2eb6db7bc32
Author: Domingo Becker <domingobecker@gmail.com>
Date:   Thu Mar 19 01:53:18 2009 +0000

    updated Spanish translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/es.po |  102 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 59 insertions(+), 43 deletions(-)

commit be6db7cc35f63d0c90453e35981cf30724d6108b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Mar 18 22:28:51 2009 +0000

    Updated Polish translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/pl.po |   26 +++++++++++++++-----------
 1 files changed, 15 insertions(+), 11 deletions(-)

commit c6c393d7f0cc645f8cb734220c1317938e72e469
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Mar 18 00:12:30 2009 -0400

    v3.6.4

 liveusb-creator      |    2 +-
 liveusb-creator.spec |    5 ++++-
 setup.py             |    4 ++--
 3 files changed, 7 insertions(+), 4 deletions(-)

commit b9d70a41e2632bc7429614995ea8e6cc334ffeec
Author: Jeremy Katz <katzj@redhat.com>
Date:   Mon Mar 16 20:11:55 2009 -0400

    Fix up to work with new pyparted
    
    pyparted 2.x changed the API substantially.  Adjust so that we can work
    with the new API

 liveusb-creator.spec |    2 +-
 liveusb/creator.py   |   43 ++++++++++++++++---------------------------
 2 files changed, 17 insertions(+), 28 deletions(-)

commit 528c17def46935c6dfd8d8cf7a67acf4a9e518ab
Merge: b0edaa6 1665152
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Mar 17 23:50:40 2009 -0400

    Merge branch 'master' of ssh://git.fedorahosted.org/git/liveusb-creator

commit 1665152f16ca00fafdb95239d932379d10034ac8
Author: Fabian Affolter <fabian@bernewireless.net>
Date:   Sun Mar 15 13:35:15 2009 +0000

    Updated German translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/de.po |   98 ++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 55 insertions(+), 43 deletions(-)

commit fe3f835e7314030ea2758f5b3b1a9fde10a892ed
Author: Manatsawin Hanmongkolchai <manatsawin@gmail.com>
Date:   Fri Mar 13 10:23:08 2009 +0000

    Updated Thai translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/th.po |  314 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 314 insertions(+), 0 deletions(-)

commit b0edaa6ee4dea5bee08ab8c4adee54d1f11abb3a
Merge: 671da1f 3ca395c
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Mar 12 20:21:42 2009 -0400

    Merge branch 'master' of ssh://git.fedorahosted.org/git/liveusb-creator

commit 671da1fabe4df6afd9069ac5c536bf8b9a81a47c
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Mar 12 20:18:19 2009 -0400

    Update to v3.6.3

 liveusb-creator      |    2 +-
 liveusb-creator.spec |    5 ++++-
 setup.py             |    4 ++--
 3 files changed, 7 insertions(+), 4 deletions(-)

commit 3ca395c3cc07fb19811afc075a298202902384ba
Author: Daniele Catanesi <translate@ccielogs.com>
Date:   Thu Mar 12 12:19:55 2009 +0000

    Updated Italian translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/it.po |  221 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 95 insertions(+), 126 deletions(-)

commit d02631d380874f24429ca1456e7e0094d92b9ea7
Author: Rui Manuel da Costa Gouveia <rui.gouveia@globaltek.pt>
Date:   Thu Mar 12 00:07:24 2009 +0000

    Portuguese Update
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/pt.po |  190 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 103 insertions(+), 87 deletions(-)

commit 7bf5c78ded4f3a822f26ef389d6e59a092e115eb
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Mar 11 13:17:20 2009 -0400

    Handle all Exceptions, not just LiveUSBError's.
    
    This should hopefully shed some light on the problems behind
    tickets #524-525

 liveusb/gui.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ef038b919babb8a135b401f0184baaad698cbe43
Merge: f37fab7 e620f39
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Mar 9 19:52:25 2009 -0400

    Merge branch 'master' of ssh://git.fedorahosted.org/git/liveusb-creator

commit f37fab7057072f849cddecf46024ef37e5ae28c3
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Mar 9 19:50:28 2009 -0400

    Skip devices when we cannot their volume information.

 liveusb/creator.py |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 71a4fb40c97fb5ce3d703ef97a2322120e701c7d
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Mar 9 19:37:07 2009 -0400

    3.6.2

 liveusb-creator |    2 +-
 setup.py        |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 26a887bc1a05e4b1b84a2b56c1666073ac1676c2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Mar 9 21:57:56 2009 +0000

    Updated Polish translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/pl.po |  155 ++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 86 insertions(+), 69 deletions(-)

commit 0213856d6e7a6f79a767e3383a44b62b7221d329
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Mar 9 11:00:08 2009 -0400

    Make our windows device detection a little bit more robust

 liveusb/creator.py |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit e620f39ef17cbdf184f7f93e2c0248f3f178710b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Mar 9 21:57:56 2009 +0000

    Updated Polish translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/pl.po |  155 ++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 86 insertions(+), 69 deletions(-)

commit 4bf638140b04f2c5bb2168c4e9e0e9e7a68b3005
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Mar 9 10:54:56 2009 -0400

    3.6.1, windows bugfix release

 liveusb-creator |    2 +-
 setup.py        |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 608d4b8da74f56082342a538c22f2151d7e839de
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Mar 9 10:51:00 2009 -0400

    Import the pywintypes module (#517)

 liveusb/creator.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ce87e169d7df90ee2c9c1f16ddd2629a3eb86b69
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Mar 8 20:16:42 2009 -0400

    v3.6

 liveusb-creator      |    2 +-
 liveusb-creator.spec |    8 ++++----
 setup.py             |    4 ++--
 3 files changed, 7 insertions(+), 7 deletions(-)

commit 7e370e88facef7da8b39d4788db36fea7dd5fc83
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Mar 8 20:15:00 2009 -0400

    Update our translators list

 AUTHORS |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit bdd8b4a16957abb5654d64d63c71be43c8debf7e
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Mar 8 19:58:22 2009 -0400

    Update our win32 syslinux to 3.73

 tools/syslinux.exe |  Bin 27136 -> 27136 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit f671c69554175080a9180c25b6e8261b620edc9e
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Mar 8 14:21:26 2009 -0400

    Handle OSErrors when trying to mount the device

 liveusb/gui.py |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 2921c795fbe7e7647e7f24e30dd4e86f2facb226
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Mar 8 14:20:32 2009 -0400

    Do not reset the MBR for now, since we cannot seem to umount, reset, then remount...

 liveusb/creator.py |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit d83155d996b2ce5842e6e0b333e65c6fc3ab879e
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Mar 8 01:25:39 2009 -0500

    Support ext filesystems, and ext4 support until we have an extlinux that supports it

 liveusb/creator.py |   21 +++++++++++++--------
 1 files changed, 13 insertions(+), 8 deletions(-)

commit c1cf34c6a545a432b2bd528a271f44467862e54d
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Mar 8 00:39:25 2009 -0500

    Don't fill the device 100%

 liveusb/gui.py |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 2106272d9e424548909628d144b59f04adb37c88
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Mar 7 22:19:12 2009 -0500

    Overlay slider changes.
    
    - Remove the overlay size restriction for FAT32 (#486627).
    - Refresh the overlay slider when an ISO is selected, and upon mount.
    - When initially starting up, if the selected device is not mounted, we cannot
      determine the amount of free space on it, so we currently set the maximum
      size to 8G.  Once the device is mounted, the slider is refreshed.
    - When an ISO is selected, subtract the size from the overlay slider.

 liveusb/gui.py |   41 ++++++++++++++++++++++++++++++++++++++---
 1 files changed, 38 insertions(+), 3 deletions(-)

commit 80378ca3dde52a177e5e212887c248233ba9d6e2
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Mar 7 22:18:24 2009 -0500

    Properly handle LiveUSBError objects in our gui status method

 liveusb/gui.py |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit f67400e57f1bde2750f101b48562a4d1d23e41de
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Mar 7 22:17:39 2009 -0500

    Refresh the free space once the device is mounted.

 liveusb/creator.py |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit e71c2b0e0e9ceeed8621b651b62af48fd8cc04c3
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Mar 7 22:16:18 2009 -0500

    Allow ext4. Bug #480495

 liveusb-creator.spec |    1 +
 liveusb/creator.py   |    2 ++
 2 files changed, 3 insertions(+), 0 deletions(-)

commit e1072155b0b04732fdf856aa14173986dbb175b3
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Mar 7 22:14:29 2009 -0500

    Enable OLPC support by default.

 liveusb-creator |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9d8cfd6f12a9b40d8db8a681d23839195d7293c5
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Mar 7 22:13:57 2009 -0500

    Instead of warning about it, just silently skip loop devices.

 liveusb/creator.py |    8 +++-----
 1 files changed, 3 insertions(+), 5 deletions(-)

commit 2c060fc473f3c2356a502925a0adf6ec74c9055c
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Mar 7 22:12:28 2009 -0500

    Create a LiveUSBCreator.set_iso method.
    
    This method is used to prefetch the size of the ISO, so that we can reflect
    it in the Persistent Storage slider.
    
    This also moves to _to_unicode method into the LiveUSBCreator.

 liveusb/creator.py |   14 +++++++++++++-
 liveusb/gui.py     |   17 ++++-------------
 2 files changed, 17 insertions(+), 14 deletions(-)

commit 48c01f0d570b585f8d09d9c602e69714e10647d0
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Mar 7 19:24:26 2009 -0500

    Minor readme update

 README.txt |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 0867d7fb06080f24365df05b0f50dce099e31813
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Mar 7 19:14:43 2009 -0500

    Allow for ext4

 liveusb/creator.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit aaa0b15d8ae5d423cb65ac0ed02a7bddee373ee2
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Mar 7 17:57:37 2009 -0500

    Add Fedora 11 Alpha to our releases list

 liveusb/releases.py |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

commit ee5c2ae05a5418c2f0f4adc3234e3ae74ff30d45
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Mar 7 17:33:31 2009 -0500

    Fix dd commands when output path contain whitespaces.
    
    Thanks to wwp <subscript at free dot fr> for the patch!

 liveusb-creator.spec |    8 ++++++--
 liveusb/creator.py   |    4 ++--
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 98a3c9864f67fb5747f690326b491b82ed5f5e7b
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Mar 7 16:59:41 2009 -0500

    Better handle unmount exceptions

 liveusb/creator.py |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 455a709a90c9366c4760bc4bc842dbf877bb7003
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Mar 7 16:59:01 2009 -0500

    Handle cases in unmount_device where the drive key doesn't exist

 liveusb/creator.py |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 4b9db9a2e9c6ab7b3845ec856a4b1947822637e2
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Mar 7 16:51:55 2009 -0500

    Require pyparted

 liveusb-creator.spec |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 0faae5518a9fb6487e16cad75f37af360bd59223
Author: Mario Santagiuliana <mario@marionline.it>
Date:   Thu Mar 5 21:16:15 2009 +0000

    update Italian traslation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/it.po |   98 +++++++++++--------------------------------------------------
 1 files changed, 18 insertions(+), 80 deletions(-)

commit 54509e57a23f9d77c920db46b3204f483e5aa204
Author: Mario Santagiuliana <mario@marionline.it>
Date:   Thu Mar 5 17:23:16 2009 +0000

    Submit Italian Traslation of liveusb-creator
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/it.po |  409 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 409 insertions(+), 0 deletions(-)

commit 17bcd1bf48c2d635f1f938b33dd596fb48bff3ba
Author: Rui Manuel da Costa Gouveia <rui.gouveia@globaltek.pt>
Date:   Wed Mar 4 02:41:16 2009 +0000

    Minor Portuguese Update
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/pt.po |  232 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 140 insertions(+), 92 deletions(-)

commit 71258e92b6c2dab05538adb4f56e8926090e2f9d
Author: Domingo Becker <domingobecker@gmail.com>
Date:   Sat Feb 21 04:02:56 2009 +0000

    updated Spanish translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/es.po |  212 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 115 insertions(+), 97 deletions(-)

commit 9feb27ccce191f1a497628dd5a4d7cb8ea590570
Author: Fabian Affolter <fabian@bernewireless.net>
Date:   Thu Feb 19 10:16:15 2009 +0000

    Updated German translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/de.po |  133 +++++++++++++++++++++++++++++--------------------------------
 1 files changed, 63 insertions(+), 70 deletions(-)

commit 20e3b20f17d64111a5f89525ccddf22d2d9c08d7
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Feb 17 03:47:43 2009 -0500

    Revert "Fix some Python2.6 deprecation warnings with regard to the BaseException.message"
    
    This reverts commit e872c822b1363bcfe70bb8049d96552627a4e14f, and potentially resolves
    bug #480673.

 liveusb/gui.py |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit e1e4af2df5ffd8f0017782dcb0c6f73d7ef40fb0
Merge: 648f69b c3b4ac4
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Feb 17 03:46:37 2009 -0500

    Merge branch 'master' of ssh://git.fedorahosted.org/git/liveusb-creator

commit c3b4ac4197605471ae64bf5e138941443608e407
Author: Ondrej Sulek <feonsu@gmail.com>
Date:   Tue Feb 10 09:40:07 2009 +0000

    Corrected and updated Slovak translation.
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/sk.po |  150 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 78 insertions(+), 72 deletions(-)

commit 648f69bd6d83fd9e607b5826fa60675dc6b53e4d
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jan 16 20:55:49 2009 -0500

    v3.5

 liveusb-creator      |    2 +-
 liveusb-creator.spec |    5 ++++-
 setup.py             |    4 ++--
 3 files changed, 7 insertions(+), 4 deletions(-)

commit 379c7f825c6348d188a93283e9840c7d783dbd02
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jan 16 20:54:43 2009 -0500

    Fix some typos in the olpc fth boot file

 liveusb/olpc.py |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 4b98e1328157aeda39787481eca6d045caacce5e
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jan 16 20:19:24 2009 -0500

    3.4

 liveusb-creator      |    2 +-
 liveusb-creator.spec |    6 +++++-
 setup.py             |    4 ++--
 3 files changed, 8 insertions(+), 4 deletions(-)

commit 924fecb45fe8e1f9c5d40581adeb0caf1e70bd19
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jan 16 17:17:56 2009 -0500

    Update the version in our `liveusb-creator` script

 liveusb-creator |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7a9d673f82f35baa930dc9ec4e9a89c51e8d6f17
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jan 16 17:17:39 2009 -0500

    Require python-urlgrabber

 liveusb-creator.spec |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 55577172df1c06f3d9330d419bcc517393c0422f
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jan 16 17:15:39 2009 -0500

    Patch from Yanko Kaneti to avoid duplicating urlgrabber on !win32 systems.

 liveusb/gui.py |    9 +++++++--
 setup.py       |    2 +-
 2 files changed, 8 insertions(+), 3 deletions(-)

commit 5eaadedbf06561369e69e7547c59e444558b4785
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Jan 15 19:25:09 2009 -0500

    v3.3

 ChangeLog            | 1096 +++++++++++++++++++++++++++++++++++++++++++++++++-
 liveusb-creator.spec |    5 +-
 setup.py             |    4 +-
 3 files changed, 1093 insertions(+), 12 deletions(-)

commit 7ca56b67cf69d9b9440d63102942d07794bc9ab8
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Jan 15 10:52:49 2009 -0500

    Support detection of all partitions.  Thanks to Horst from the Sidux project for the patch.

 liveusb/creator.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 363f20f11b2fc2a5d2d06cba5872726711b66e95
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Jan 15 10:45:49 2009 -0500

    Support USB hard drives, which don't have the `storage.removable` property.
    Thanks to Horst from the Sidux project for the patch.

 liveusb/creator.py |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 69602728c0b169bceaa1bebda5097f90f456b3bf
Author: Fabian Affolter <fabian@bernewireless.net>
Date:   Sat Jan 10 23:44:55 2009 +0000

    Updated German translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/de.po | 2048 +++++++++-----------------------------------------------------
 1 files changed, 274 insertions(+), 1774 deletions(-)

commit acb0e7f7a71f325fa69f648ee113ebfa2d5bdd1a
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jan 2 19:03:19 2009 -0500

    v3.2

 liveusb-creator.spec |    7 ++++++-
 setup.py             |    4 ++--
 2 files changed, 8 insertions(+), 3 deletions(-)

commit 32a592aace66cc318ce920dcf1340d9c4580f2e6
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jan 2 18:55:03 2009 -0500

    Fix our syslinux -d flag for linux

 liveusb/creator.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0e78c9e6de065133f83a99077c7556463c1a8a64
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jan 2 18:54:36 2009 -0500

    Revert our unmount change, as this sometimes causes random segfaults.

 liveusb/creator.py |    4 ++--
 liveusb/gui.py     |    1 -
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 15b403f5bc583381bf6c470889dcfe96575a3b55
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jan 2 18:17:09 2009 -0500

    Actually disable the usb-zip feature, for now

 liveusb/gui.py |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 051a346c7979263980b9e910f69e87ec2d69fe24
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jan 2 18:16:51 2009 -0500

    Fix our syslinux directory path for Windows

 liveusb/creator.py |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit c2bedae94db4b4b46e4eb62bf074628eeedf357d
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jan 2 18:16:23 2009 -0500

    Fix some windows logger issues.  If we're not in verbose mode, then remove the StreamHandler, as this will cause extra noise in windows.

 liveusb/creator.py |   20 ++++----------------
 liveusb/gui.py     |    2 ++
 2 files changed, 6 insertions(+), 16 deletions(-)

commit aef62ee80ce792f740b67988af57c454bd27d59a
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Jan 1 23:37:08 2009 -0500

    3.1

 liveusb-creator.spec |    8 ++++++--
 setup.py             |    7 ++-----
 2 files changed, 8 insertions(+), 7 deletions(-)

commit f059b36f0d69dc962facfe75b4bdc31514e10f45
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Jan 1 23:35:02 2009 -0500

    Disable the --usb-zip experimental feature, for now.

 liveusb-creator |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 9afdb71c4b17f91417aedfa889a6bba38753b745
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Jan 1 22:00:20 2009 -0500

    Some py2exe optimizations

 setup.py |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 2d533389268c7959e48360d421120275ac5d75c5
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Jan 1 21:59:44 2009 -0500

    Use the new uac_info=requireAdministrator py2exe flag to ensure that the liveusb-creator is being run as an admin

 setup.py |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit e872c822b1363bcfe70bb8049d96552627a4e14f
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Jan 1 21:29:40 2009 -0500

    Fix some Python2.6 deprecation warnings with regard to the BaseException.message

 liveusb/gui.py |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 368f44d16f9fc7156931af886bff2f97cbab7d6e
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Jan 1 21:28:26 2009 -0500

    Use hashlib instead of the sha module.

 liveusb/creator.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2145e75e69af4da212f888cca8a91fe720e231af
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Dec 31 16:29:43 2008 -0500

    Escape part of the path in the OLPC boot file.

 liveusb/olpc.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3225dd4dd622e7c51b22d8c7ed99d7ec94cbc5a9
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Dec 31 15:53:48 2008 -0500

    Setup the logger a bit differently for windows.
    
    Only create the StreamHandler if we are in verbose mode.  If we don't do this,
    closing the liveusb-creator, even after a successful run, will display a popup
    telling the user that stdout log output has been written to
    liveusb-creator.exe.log.

 liveusb/creator.py |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 9bfa12c35530cc5756819dcce0f20b16f6002658
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Dec 31 15:53:28 2008 -0500

    Add a hack to not display 0mb/sec, until we can do this properly.

 liveusb/creator.py |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit 5d656603c7757122d5534a0917a9647c2ff9db8a
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Dec 30 18:35:26 2008 -0500

    Add a noop bootable_partition method to the parent LiveUSBCreator class

 liveusb/creator.py |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 2ef586a9352937a0d151b910079753b298818719
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Dec 30 15:20:58 2008 -0500

    Fix a typo

 liveusb/olpc.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c02320e711256fcc591c9ee13e357a26caa7abe2
Merge: cdd206f 3a28698
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Dec 29 19:54:28 2008 -0500

    Merge branch 'master' of ssh://git.fedorahosted.org/git/liveusb-creator

commit cdd206f786425674b43e017dc028dba4e7c592e0
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Dec 29 19:50:35 2008 -0500

    Update our spec file again

 liveusb-creator.spec |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7b531ae69f77ef3ebe2144c060abbc9c1d9658dc
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Dec 29 19:49:36 2008 -0500

    Rebase our olpc.py with the latest OLPC boot script from the livecd-iso-to-disk.sh

 liveusb/olpc.py |   48 +++++++++++++++++++++++++-----------------------
 1 files changed, 25 insertions(+), 23 deletions(-)

commit 3a28698144ed9b7640b34215858c85407c9e7ec5
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Dec 29 19:49:36 2008 -0500

    Rebase our olpc.py with the latest OLPC boot script from the livecd-iso-to-disk.sh

 liveusb/olpc.py |   50 ++++++++++++++++++++++++++------------------------
 1 files changed, 26 insertions(+), 24 deletions(-)

commit e9dac17e805b9320bd70a722d591377f971b9440
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Dec 29 19:46:08 2008 -0500

    Update our spec file for the 3.0 release

 liveusb-creator.spec |   15 ++++++++++++++-
 1 files changed, 14 insertions(+), 1 deletions(-)

commit b9bea9f58fec5a751eef08c3c217196c031d6395
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Dec 29 19:44:07 2008 -0500

    Update our Translators list

 AUTHORS |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit df73b2d7180df1dc97789d08d64806512dffc657
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Dec 29 19:25:44 2008 -0500

    Add a new logo, and update our PyQt4 resources

 data/liveusb-creator-linux.ui |    6 +-
 data/liveusb-header-old.png   |  Bin 0 -> 15736 bytes
 data/liveusb-header.png       |  Bin 15736 -> 15930 bytes
 liveusb/linux_dialog.py       |   65 +-
 liveusb/resources_rc.py       | 1978 +++++++++++++++++++++--------------------
 5 files changed, 1030 insertions(+), 1019 deletions(-)

commit 51e273d32b37610c3cf4d0bd60fc5eab69b2d1de
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Dec 29 19:24:56 2008 -0500

    Update the Sugar Spin to 0.82-2

 liveusb/releases.py |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit e46f7a5cde1aaebe036b3203bbdbdd3fbf6d9462
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Dec 29 18:49:40 2008 -0500

    reset the 'confirmed' boolean after we've confirmed

 liveusb/gui.py |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 5d60b4e851766d4da1447b0384c7976039357892
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Dec 29 18:47:46 2008 -0500

    Handle None/'None'/'' uuids

 liveusb/creator.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 927ea555fe4d5ad49029e0d45c82bea2c9c4d6c2
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Dec 29 18:47:23 2008 -0500

    If we've already acquired the uuid, then don't do it again

 liveusb/creator.py |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit f53e5fdfce0e6e654162f3592592046fcbd5f3a1
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Dec 29 18:45:37 2008 -0500

    Use log.exception in a couple of places.

 liveusb/creator.py |    1 +
 liveusb/gui.py     |    3 +--
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b65b11f5b57cf1e33eb1dfb5bd5118ad28dd90dc
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Dec 29 18:31:01 2008 -0500

    Unmount the device upon completion, not termination

 liveusb/creator.py |    1 -
 liveusb/gui.py     |    1 +
 2 files changed, 1 insertions(+), 1 deletions(-)

commit 9d2c855c76e78ec7c6f8566709864d354574d2aa
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Dec 29 18:30:33 2008 -0500

    Always try to unmount the device when we call unmount_device, regardless of if we mounted it or not

 liveusb/creator.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 939253c0524950136c305083d23d5465afeeca01
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Dec 28 23:27:23 2008 -0500

    Add a --usb-zip flag to format the device with zip-like geometry.
    
    This will initialize your device in a zipdrive-like fashion.  Note: This
    feature is currently experimental, and will DESTROY ALL DATA on your device!
    More details on this can be found here:
    http://syslinux.zytor.com/doc/usbkey.txt

 liveusb-creator    |    5 +++++
 liveusb/creator.py |   19 +++++++++++++++++++
 liveusb/gui.py     |   12 ++++++++++++
 3 files changed, 36 insertions(+), 0 deletions(-)

commit aad42fe3f608738cc9234493ff479cb1bff8d719
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Dec 28 23:18:41 2008 -0500

    No need to catch LiveUSBError if we are doing the same thing with Exception

 liveusb/gui.py |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit efa5669db3dd4163ec37cee9fa801fdb791dd70b
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Dec 28 23:18:20 2008 -0500

    Some trivial comment updates

 liveusb/creator.py |    2 +-
 liveusb/gui.py     |    7 ++++++-
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 4c7b09a7909bbe6273a0906eb97eeb1ec87b0e93
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Dec 28 23:17:49 2008 -0500

    Clean up some of the unmount_device exception handling

 liveusb/creator.py |    6 +-----
 1 files changed, 1 insertions(+), 5 deletions(-)

commit 7af72c2fda77ac31ffe37301e3e5757a59f47481
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Dec 28 23:12:45 2008 -0500

    Keep track of if we are currently in the process of creating a liveusb key,
    and do not update our device list when a new device is inserted if we are
    in the middle of it.

 liveusb/gui.py |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit bd72b6fef6a52d23de056b8424f0ac65636d52db
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Dec 28 23:11:04 2008 -0500

    Add a LinuxLiveUSBCreator.format_device method.

 liveusb/creator.py |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 8b63513c9a6857b40bc327f86f64a4c523886b13
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Dec 28 23:07:21 2008 -0500

    Pull some logic from bootable_partition() into a get_disk_partition() method

 liveusb/creator.py |   42 ++++++++++++++++++++++--------------------
 1 files changed, 22 insertions(+), 20 deletions(-)

commit bbb360ab9e825c1fdbca2921d2c0baae2be67a33
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Nov 30 21:01:43 2008 -0500

    Add Fedora 10 release

 liveusb/releases.py |   24 ++++++++++++------------
 1 files changed, 12 insertions(+), 12 deletions(-)

commit 9c1a52a096beb80167e2e106c540fa8ac3917519
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Nov 30 13:46:16 2008 -0500

    Ensure that the selected partition is flagged as bootable.

 liveusb/creator.py |   36 ++++++++++++++++++++++++++++++++++++
 liveusb/gui.py     |    2 ++
 2 files changed, 38 insertions(+), 0 deletions(-)

commit 19878d4ab77e90fc8905573c118e8493bf44ea77
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Nov 30 13:13:44 2008 -0500

    Refactor the olpc installation method, pulling some of it out into a
    get_kernel_args method.

 liveusb/creator.py |   26 ++++++++++++++------------
 1 files changed, 14 insertions(+), 12 deletions(-)

commit e4d1ece80fc405e9dccc62f130320ae707d21399
Author: sainrysec <sainrysec@gmail.com>
Date:   Sun Nov 23 10:52:59 2008 +0000

    finish zh_CN.po
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/zh_CN.po |  193 ++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 111 insertions(+), 82 deletions(-)

commit d5b4a071168aead5e871ccc5bad1c25c601216b7
Merge: b739359 798ab0d
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Nov 21 20:17:08 2008 -0500

    Merge branch 'master' of ssh://git.fedorahosted.org/git/liveusb-creator

commit b73935910cdbba0561c65b265fb30c34e41ec853
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Nov 21 20:16:57 2008 -0500

    Add a HACKING file

 HACKING |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 798ab0d736e2cdeb55b00b6b42b213d7f3d6a2e9
Author: Igor Pires Soares <igorsoares@gmail.com>
Date:   Thu Nov 20 13:37:55 2008 +0000

    Updated Brazilian Portuguese translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/pt_BR.po |  248 ++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 154 insertions(+), 94 deletions(-)

commit 0e5b27cfa7b9cb1bcbe83251ae36077bd229ea76
Author: Fabian Affolter <fabian@bernewireless.net>
Date:   Thu Nov 20 12:23:28 2008 +0000

        2008-11-20  Fabian Affolter <fabian@bernewireless.net> (via
    fab@fedoraproject.org)
    
          * po/de.po: Initial German translation

 po/ChangeLog |   17 +
 po/de.po     | 2047 ++++++++++++++++++++++++++++++++++++++++++++++++++--------
 2 files changed, 1791 insertions(+), 273 deletions(-)

commit 46498b66998a919fc08d2d59b348756e49fbbec0
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Nov 18 16:48:31 2008 -0500

    Trivial test case change

 tests/test_creator.py |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 38239e2788fcb6f95763aaaa97f6cdca282f284c
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Nov 13 18:52:07 2008 -0500

    Always return True from the WindowsLiveUSBCreator.verify_iso_md5.
    
    This fixes a silent error on Windows.

 liveusb/creator.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cf309bf1a51a349240c8b3ac3ab95611bef5a403
Merge: e62709a 67326c8
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Nov 13 18:33:18 2008 -0500

    Merge branch 'master' of ssh://git.fedorahosted.org/git/liveusb-creator

commit e62709af2c776193b0f83ac6d9579647d83c036d
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Nov 13 18:31:13 2008 -0500

    Do not encode our unicode strings back to UTF-8 before rendering in QTextArea.
    This fixes the UTF-8 rendering issues mentioned in Bug #471367.

 liveusb/gui.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 67326c889dbc4357c516e8d2daeff2877079f351
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Nov 13 22:47:29 2008 +0000

    Updated Polish translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/pl.po |   68 ++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 38 insertions(+), 30 deletions(-)

commit f60f77ed6f5862953d17ad7d604505aa308401c8
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Nov 13 01:14:37 2008 -0500

    Add reset_mbr and blank_mbr methods, and use them.

 liveusb/creator.py |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

commit 9cfe5f7223bd9ac6320f91d2a913246fbfac208c
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Nov 13 01:11:57 2008 -0500

    Update our test_mbr unit test

 tests/test_creator.py |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 717fa20458d9c1fb287bb58c69a726552b27c9b2
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Nov 13 01:10:55 2008 -0500

    Revert "Add reset_mbr and blank_mbr methods"
    
    This reverts commit bad8622dadfe281f424b66985b2b436341ee37f8.

 liveusb-creator    |   12 ----
 liveusb/creator.py |  146 +++++-----------------------------------------------
 liveusb/gui.py     |   12 ----
 3 files changed, 14 insertions(+), 156 deletions(-)

commit bad8622dadfe281f424b66985b2b436341ee37f8
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Nov 13 01:08:57 2008 -0500

    Add reset_mbr and blank_mbr methods

 liveusb-creator    |   12 ++++
 liveusb/creator.py |  146 +++++++++++++++++++++++++++++++++++++++++++++++-----
 liveusb/gui.py     |   12 ++++
 3 files changed, 156 insertions(+), 14 deletions(-)

commit ae0bcd0f74fad4304f3a670b2ca5781d9709d113
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Nov 13 01:08:06 2008 -0500

    Fix our Master Boot Record unit test.
    
    Ensure that we can properly detect and reset blank MBRs.

 tests/test_creator.py |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit 5c9ed52a6b880cea01f07cb1604b2c78157d54ba
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Nov 13 01:01:04 2008 -0500

    Update a docstring

 liveusb/creator.py |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 7e31a9d8c3e42d0bf1a694317f6ccb26ec5beeaf
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Nov 13 01:00:33 2008 -0500

    Exclude ppc and ppc64

 liveusb-creator.spec |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 60656d43dc88bc35ed8fba517f5eee44f04bf817
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Nov 12 23:32:50 2008 -0500

    Add a new shiny tabbed-gui layout.
    
    Now it's time to bring the features up to speed with the interface.

 data/liveusb-creator-linux-tabbed.ui |  413 ++++++++++++++++++++++++++++++++++
 1 files changed, 413 insertions(+), 0 deletions(-)

commit d03c4d1c8da43df4b8691d8c45fdad87deefe3c9
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Nov 12 21:58:03 2008 -0500

    Add a 'docs' Makefile target

 Makefile |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 1671a542d4b049dcaa4b733b2e7913efa37081b8
Author: 甘露(Gan Lu) <rhythm.gan@gmail.com>
Date:   Sat Nov 8 15:27:28 2008 +0000

    Add zh_CN.po
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/zh_CN.po |  307 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 307 insertions(+), 0 deletions(-)

commit 2c6b0f3f0b4f116b513858503a8d62b7bb1b812b
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Nov 6 22:32:30 2008 -0500

    Make sure to quote our ISO path to support spaces (#470402)

 liveusb/creator.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a662507fdeeb6e7e02df65498731852c7f1404b8
Author: Xavier Conde <xavi.conde@gmail.com>
Date:   Sat Nov 1 18:15:10 2008 +0000

    Updated catalan po
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/ca.po |  322 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 163 insertions(+), 159 deletions(-)

commit 960a3ac94e73f379009130b18fcd3942b3e1bd32
Author: Igor Miletic <grejigl-gnomeprevod@yahoo.ca>
Date:   Fri Oct 24 16:00:56 2008 +0000

    Updated sr@latin
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/sr@latin.po |  235 ++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 137 insertions(+), 98 deletions(-)

commit b9a176d8374bc08c8417f2d0e78f8bb9b9ba39d0
Author: Igor Miletic <grejigl-gnomeprevod@yahoo.ca>
Date:   Fri Oct 24 16:00:01 2008 +0000

    Updated sr
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/sr.po |  235 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 137 insertions(+), 98 deletions(-)

commit aba5f303083f46bdc781a275d6984c4f5cef7c06
Author: Marcus Nitzschke <marcusni@gmx.de>
Date:   Thu Oct 23 17:52:17 2008 +0000

    Updated German translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/de.po |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit f77bfda398a211632096f0396a83ad08ed3b6d43
Author: Fabian Affolter <fabian@bernewireless.net>
Date:   Wed Oct 22 12:29:43 2008 +0000

    Updated German translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/de.po |   98 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 51 insertions(+), 47 deletions(-)

commit d87a0faada21c74a1fe5ff9eea844af1e377784f
Author: PabloMartin-Gomez <pablo.martin-gomez@laposte.net>
Date:   Wed Oct 22 09:43:08 2008 +0000

    Updated French translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/fr.po |  269 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 149 insertions(+), 120 deletions(-)

commit 0e33c4231a26f6d64f9959613c9c9087863cbebb
Author: Igor Miletic <grejigl-gnomeprevod@yahoo.ca>
Date:   Wed Oct 22 03:22:39 2008 +0000

    Updated sr@latin
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/sr@latin.po |  128 +++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 80 insertions(+), 48 deletions(-)

commit ea93159e44d34a473aa36b12b3646726247981cf
Author: Igor Miletic <grejigl-gnomeprevod@yahoo.ca>
Date:   Wed Oct 22 03:21:45 2008 +0000

    Updated sr translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/sr.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e706e0b60e7146043a3ed99fbbd5e1100143326f
Author: Igor Miletic <grejigl-gnomeprevod@yahoo.ca>
Date:   Wed Oct 22 03:20:43 2008 +0000

    Updated sr translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/sr.po |  128 ++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 80 insertions(+), 48 deletions(-)

commit d44d9e7f828c840c7376d73709b0fb40ae418bb9
Author: Adam Pribyl <covex@lowlevel.cz>
Date:   Tue Oct 21 08:16:24 2008 +0000

    czech translation update
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/cs.po |  226 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 129 insertions(+), 97 deletions(-)

commit 8b092bc07bd5c2ac7e3441016c750ba18887e4dd
Author: Ondrej Sulek <feonsu@gmail.com>
Date:   Mon Oct 20 07:12:09 2008 +0000

    Updated Slovak translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/sk.po |  188 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 101 insertions(+), 87 deletions(-)

commit 8c80fc69f80bf400e6d0397f769a27f597da5428
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Oct 19 12:42:26 2008 +0000

    Updated Polish translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/pl.po |   86 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 45 insertions(+), 41 deletions(-)

commit e954e67c823fac185f3254fdab15fe76e71f3735
Author: Xavier Conde <xavi.conde@gmail.com>
Date:   Sat Oct 18 22:06:29 2008 +0000

    Added catalan po
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/ca.po |  315 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 315 insertions(+), 0 deletions(-)

commit 534194823e7826e917e57af9c31b06d4593d268b
Merge: ad99c5f a21a482
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Oct 18 11:24:48 2008 -0400

    Merge branch 'master' of ssh://git.fedorahosted.org/git/liveusb-creator

commit ad99c5fd502bcde6203be6813be2735dfa320de8
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Oct 18 11:24:30 2008 -0400

    Make our final unmount a bit more robust with regard to traceback handling

 liveusb/gui.py |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 459645fe2ba48bfb419bec02b9bd057eb82e335b
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Oct 18 11:23:51 2008 -0400

    Change an info message to a debug

 liveusb/creator.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 90862c058786d7c655c0d0e11bd13c91357f4486
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Oct 18 11:23:07 2008 -0400

    Hack around dosfslabel's return codes

 liveusb/creator.py |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 69d0693b4f8583748964da87847af719328eceb3
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Oct 18 11:22:38 2008 -0400

    Handle devices that are prematurely unmounted

 liveusb/creator.py |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 62a70bf912d94cbd5fafe5b429118d6469d7f9f0
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Oct 18 11:21:59 2008 -0400

    Store our 'info.parent' device interface in self.drives

 liveusb/creator.py |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit cabcbefccb4264d30593ac5b5847ceabcf701780
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Oct 18 11:19:57 2008 -0400

    Add a verify_iso_md5 method to call checkisomd5 on our ISO.
    
    At the moment this is supported in Linux only.

 liveusb-creator.spec |    2 +-
 liveusb/creator.py   |   28 ++++++++++++++++++++++++++--
 liveusb/gui.py       |    8 ++++++--
 3 files changed, 33 insertions(+), 5 deletions(-)

commit a21a4820b5b0d14f89c9f888cd24ecd5cf804285
Author: Fabian Affolter <fabian@bernewireless.net>
Date:   Wed Oct 15 07:35:00 2008 +0000

    Updated German translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/de.po |  170 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 91 insertions(+), 79 deletions(-)

commit 6d2da4cdd0c8aa7cc08cdf422e4f0ed84c754501
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Oct 14 22:03:00 2008 +0000

    Updated Polish translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/pl.po |  210 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 113 insertions(+), 97 deletions(-)

commit cda0b9eee645e9978ad05156b575db35e935e26c
Author: Milos Komarcevic <kmilos@gmail.com>
Date:   Mon Oct 13 21:37:40 2008 +0000

    Initial Serbian Latin translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/sr@latin.po |  280 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 280 insertions(+), 0 deletions(-)

commit 43b1df33aeb5a49d40bd86acdab99703d5931705
Author: Milos Komarcevic <kmilos@gmail.com>
Date:   Mon Oct 13 21:36:18 2008 +0000

    Initial Serbian translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/sr.po |  280 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 280 insertions(+), 0 deletions(-)

commit 9e2fe206df9c03d02e57d6b633931ae0142787de
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Oct 13 03:26:48 2008 -0400

    Update our win32 syslinux.exe to version 3.72

 tools/syslinux.exe |  Bin 24576 -> 27136 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit 3f08445783194ef85a5af4b15cb446c4e8e9adc7
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Oct 12 05:16:06 2008 -0400

    Add an '--extra-kernel-args' argument

 liveusb-creator    |    4 ++++
 liveusb/creator.py |    3 +++
 2 files changed, 7 insertions(+), 0 deletions(-)

commit 02f5f9a1a118b4580e5204f498d5701702e0e29b
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Oct 12 02:24:20 2008 -0400

    Update our test suite to allow empty sha1's in our release list

 tests/test_creator.py |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 25c01ac7670930275e71e7b9c7dd4953857529e4
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Oct 12 02:03:21 2008 -0400

    Organize the release list

 liveusb/releases.py |   14 +++++++++-----
 1 files changed, 9 insertions(+), 5 deletions(-)

commit 034f52880f2c9177a99e44abd6b066863e9008fa
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Oct 12 02:03:05 2008 -0400

    Add a soft dependency on PyQt4 for KDE proxy detection.

 liveusb/creator.py |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 2d66b75ad492dae9948bd6a9f05d4e61c6c43d18
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Oct 12 02:02:21 2008 -0400

    Clean up some translatable strings

 liveusb/creator.py |    6 ++++--
 liveusb/gui.py     |    4 ++--
 2 files changed, 6 insertions(+), 4 deletions(-)

commit 82f460fc78685ef136011425234ff67444f2fb28
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Oct 12 02:01:44 2008 -0400

    Add support for creating OLPC-bootable LiveUSB sticks / SD cards.
    
    This creates a new '--xo' option that will add a /boot/olpc.fth Open Firmware
    configuration to your device. Upon completion, you can then boot off of your
    USB stick/SD card by running the following at the Open Firmware prompt:
    
      boot u:\boot\olpc.fth
    
    for USB sticks or
    
      boot sd:\boot\olpc.fth
    
    for SD cards
    
    Thanks to Mitch Bradley for understanding forth so we don't have to :)  Also
    thanks for Jeremy Katz for getting this to work initially within the
    livecd-iso-to-disk script.

 liveusb-creator    |    2 ++
 liveusb/creator.py |   39 ++++++++++++++++++++++++++++++++++-----
 liveusb/olpc.py    |   37 +++++++++++++++++++++++++++++++++++++
 3 files changed, 73 insertions(+), 5 deletions(-)

commit 9cfbc8b97408198c32650d53046dd888675ba72f
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Oct 11 22:06:51 2008 -0400

    Improve our liveusb.gui status message architechure.
    
    Create an inject a custom LiveUSBLogHandler that intercepts INFO and ERROR
    messages from our liveusb.creator module, and displays them in our GUI.  This
    allows us to remove a lot of duplicate status messages that were scattered
    throughout the graphical interface.

 liveusb/creator.py |   33 ++++++++++++++++++++++++---------
 liveusb/gui.py     |   43 +++++++++++++++++++++++++++----------------
 2 files changed, 51 insertions(+), 25 deletions(-)

commit 8a5cf2ebb070f910e0651ba36220c030e6f5d72e
Author: Sebastian Dziallas <sebastian@localhost.localdomain>
Date:   Sat Oct 11 14:19:57 2008 +0200

    Add support for Sugar Spin

 liveusb/releases.py |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 9f1cd067f0b32318452aee32b274ece8a09e90bb
Author: Ondrej Sulek <feonsu@gmail.com>
Date:   Fri Oct 10 08:55:36 2008 +0000

    Added Slovak translation.
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/sk.po |  336 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 336 insertions(+), 0 deletions(-)

commit 87d2cba6a7257898bf4c4bc5ea68e04eaca03ba0
Merge: 5f1579c c8e66e3
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Oct 8 21:54:49 2008 -0400

    Merge branch 'master' of ssh://git.fedorahosted.org/git/liveusb-creator

commit 5f1579c1d68c709e81022dcf30658e15fdce169a
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Oct 8 21:54:34 2008 -0400

    Ensure the release sha1 exists before attempting to verify it.

 liveusb/gui.py |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit c8e66e3f7fe04edd5d76a16ee0540e98c103b6f8
Author: Michael Ughetto <telimektar1er@gmail.com>
Date:   Tue Oct 7 10:38:09 2008 +0000

    First french translation (100%)
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/fr.po |  330 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 330 insertions(+), 0 deletions(-)

commit 17efcee03697d93adda36f64a0595f46237bdb1f
Author: Nikos Charonitakis <nikosx@gmail.com>
Date:   Mon Oct 6 13:52:11 2008 +0000

    Added Greek translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/el.po |  287 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 287 insertions(+), 0 deletions(-)

commit fcc2911fb61ad0d53850c6067b26404c69ff45b7
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Oct 4 12:13:31 2008 -0400

    Remove our PyQt4._qt py2exe include, as it no longer seems to be necessary.

 setup.py |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 7a74843e42182e923d29aeaa4322aa04edbcb670
Merge: 8583314 a8cbf92
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Oct 2 19:40:49 2008 -0400

    Merge branch 'master' of ssh://git.fedorahosted.org/git/liveusb-creator

commit a8cbf920753ba484c21615c922718b680a97ffa4
Author: Fabian Affolter <fabian@bernewireless.net>
Date:   Thu Oct 2 14:07:08 2008 +0000

    Updated German translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/de.po |   33 +++++++++++++++++++--------------
 1 files changed, 19 insertions(+), 14 deletions(-)

commit 8583314df44778a62b34adfcf22793007829bafc
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Oct 2 07:25:59 2008 -0400

    v3.0

 setup.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d3b3c6e9edcf99cab9a3659538704cd97469407d
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Oct 2 07:33:45 2008 -0400

    Update our ChangeLog

 ChangeLog |  688 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 688 insertions(+), 0 deletions(-)

commit bc1ef7e6126b3ecfcf2363de71bd0525f30ae4f8
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Oct 2 07:33:02 2008 -0400

    Update our AUTHORS file

 AUTHORS              |   19 +++++++++++++++++--
 liveusb-creator.spec |    1 +
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 532a8e3a25c9e8b55ac7b4b325599fa3d8041135
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Oct 2 07:26:38 2008 -0400

    Add an os.path.sep hack to see if this fixes a Windows issue.

 liveusb/creator.py |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit f52d1e6fb055e7f227ab42078caede7cd7e02800
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Oct 2 07:25:40 2008 -0400

    Fix our %find_lang usage in the spec

 liveusb-creator.spec |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 6a9b87d05c031cf5bd70367d5f40d6147d8e2bf3
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Oct 2 07:03:32 2008 -0400

    Add Fedora 10 Beta support!

 liveusb-creator.spec |    2 +-
 liveusb/releases.py  |   21 +++++++++++++++++++++
 2 files changed, 22 insertions(+), 1 deletions(-)

commit 973ca7b2bb7e88cbc3e008430e989e55255f9d82
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Oct 2 04:56:14 2008 -0400

    Fix our Mb/MB nomenclature (#162)

 data/liveusb-creator-linux.ui |    2 +-
 data/liveusb-creator.ui       |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 110fb0db3fa876be13f15c0d4e810abc3deb3b15
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Oct 2 04:43:06 2008 -0400

    Quote our paths when copying the live image (#221)

 liveusb/creator.py |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 8c04daa68fc1920300e9cfa1f30c1da547fae5f7
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Oct 2 03:34:38 2008 -0400

    Add a LinuxLiveUSBCreator.get_proxies method that grabs the proxy
    settings in KDE.  Thanks to Kevin Kofler for the patch (#128)

 liveusb/creator.py |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

commit 531bc8ca9be47778ff57fa5f56986ff7f40c4264
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Oct 2 03:13:25 2008 -0400

    Calculate the transfer speed in our WindowsLiveUSBCreator

 liveusb/creator.py |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 68b6057084d7151ef3420a5327df9c570ce35a4f
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Oct 1 10:57:17 2008 -0400

    Fix the error message that occurs when the tools are missing (#243)

 liveusb/creator.py |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 0cd3212d2cb4242ea521073cbd58043ea49114be
Merge: c268c73 14a2839
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Sep 30 18:58:31 2008 -0400

    Merge branch 'master' of ssh://git.fedorahosted.org/git/liveusb-creator

commit 14a28392e97d5d2270aa538696239b5530552782
Author: Fabian Affolter <fabian@bernewireless.net>
Date:   Mon Sep 29 10:32:38 2008 +0000

    Updated German translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/de.po |  159 +++++++++++++++++++++++++++++++++++++++++++++++---------------
 1 files changed, 121 insertions(+), 38 deletions(-)

commit c268c73f17d1ab522167f5a3b0d5aff65035d9d2
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Sep 26 20:33:39 2008 -0400

    s/Mb/MB/g

 liveusb/gui.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 12a1af3b9e591e6e779613f1732d8dccd572b09f
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Sep 26 20:26:58 2008 -0400

    Calculate the number of megabytes per second for our iso extraction

 liveusb/creator.py |    7 +++++++
 liveusb/gui.py     |    1 +
 2 files changed, 8 insertions(+), 0 deletions(-)

commit 50635135c42ec40be506d057ca603822a1e33b26
Author: Adam Pribyl <covex@lowlevel.cz>
Date:   Fri Sep 26 18:00:50 2008 +0000

    complete czech translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/cs.po |  316 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 316 insertions(+), 0 deletions(-)

commit 3c38e72499f11d0da19ade5a41ffc198e91eafcf
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Sep 25 20:58:19 2008 -0400

    Clean up more

 Makefile |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6d608d3d8cf5f647f08865624aa72535a1eed18c
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Sep 25 20:58:03 2008 -0400

    Add a smaller logo

 data/liveusb-creator-logo-small.png |  Bin 0 -> 3074 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit 72a13bbbc396194e09257131596c5f9d72b63fd5
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Sep 25 20:57:36 2008 -0400

    Add our logo

 data/liveusb-creator-logo.png |  Bin 0 -> 13439 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit 6ba2b653bd3abaaa8d5b9de37468ee03c8faba09
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Sep 25 20:56:35 2008 -0400

    Add an app.fil list for the mk18n.py

 po/app.fil |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit f969a99dc809978f8a20f87458ec37d774f6bd1f
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Sep 25 18:32:59 2008 -0400

    Update our setup.py to include our locales

 setup.py |   26 +++++++++++++++++++-------
 1 files changed, 19 insertions(+), 7 deletions(-)

commit 1b0a5a474881ab6b01c0c96d2c91b12c4db1756d
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Sep 25 18:31:03 2008 -0400

    Encode our translated GUI strings to UTF8 bytestrings before sending to PyQt4

 liveusb/__init__.py       |    6 +++++-
 liveusb/linux_dialog.py   |    2 +-
 liveusb/windows_dialog.py |    2 +-
 3 files changed, 7 insertions(+), 3 deletions(-)

commit 3332249b56509e0f610795c4c3adbdd2f8c84422
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Sep 25 18:26:06 2008 -0400

    Ensure we're dealing with UTF8 bytestrings when displaying exception messages.

 liveusb/gui.py |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 7a8cb6813ce3f0b6d23d3701e1082f2d502e12bd
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Sep 25 18:25:34 2008 -0400

    Dynamically determine our locale directory

 liveusb/__init__.py |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 010f4f3fe9295d67d78024f504ef2f8f193d0d5c
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Sep 25 18:24:55 2008 -0400

    Update our RPM spec to handle the new translations

 liveusb-creator.spec |   32 ++++++++++++++++++++++----------
 1 files changed, 22 insertions(+), 10 deletions(-)

commit a36db752e0f287bdc6312ee421eb03cfafc1e36c
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Sep 25 18:24:30 2008 -0400

    Update our 'mo' Makefile target

 Makefile |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 1a5880d307236234b984e8138843595f50a13037
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Sep 25 18:24:12 2008 -0400

    Add an 'rpm' Makefile target

 Makefile |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 9af1e5cb19986532d34a776d46299659225df3ed
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Sep 25 18:23:54 2008 -0400

    Update our MANIFEST.in with some new files

 MANIFEST.in |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 36f175af09520a2fa76c7787c3b9f86f2cab6b29
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Sep 25 16:37:08 2008 -0400

    Add a 'mo' and 'clean' Makefile targets

 Makefile |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

commit f25b556f959ce4d1ea86ce04992abac9595990f0
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Sep 25 16:36:39 2008 -0400

    Update our README

 README.txt |   43 +++++++++++++++----------------------------
 1 files changed, 15 insertions(+), 28 deletions(-)

commit d104d0b8aa8f8716d9b6b5b266d3a8fd561cca46
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Sep 25 16:35:10 2008 -0400

    Return 0 upon success, to make `make` happy.

 po/mki18n.py |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit 8490ff3b5a56e20be15232c86a31b5ff63c6964c
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Sep 25 16:34:43 2008 -0400

    Instead of scraping the wx module for language names, lets just use whatever po
    files are in the current directory.  Transifex takes care of putting new languages
    there for us already.

 po/mki18n.py |   32 ++++++++++++++++----------------
 1 files changed, 16 insertions(+), 16 deletions(-)

commit 06468b92365324b51204c3539d394a90bbf77ccc
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Sep 25 16:33:53 2008 -0400

    Add mki18n.py to help with our internationalization.
    
    Trying hard to avoid autotools crackrock at all costs.

 po/mki18n.py |  456 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 456 insertions(+), 0 deletions(-)

commit 680c72a4a29dc6536be30a229f3f9b6801cb50fa
Author: Igor Pires Soares <igorsoares@gmail.com>
Date:   Thu Sep 25 15:13:38 2008 +0000

    Initial Brazilian Portuguese translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/pt_BR.po |  260 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 260 insertions(+), 0 deletions(-)

commit 3f397fb19dec8253c6442bc28cd4b8dac4b626e8
Author: Domingo Becker <domingobecker@gmail.com>
Date:   Wed Sep 24 13:24:29 2008 +0000

    Spanish translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/es.po |  284 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 284 insertions(+), 0 deletions(-)

commit e5d32798f4fe3a08401cf6f3e8cb5cb757f40c34
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Sep 23 20:42:34 2008 -0400

    Update the POTFILES.in

 po/POTFILES.in |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit d879f4e7578118a4c25df6c571c093632f910c9f
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Sep 23 20:42:06 2008 -0400

    Add a bunch of Makefile targets (dist, srpm, pyflakes, pylint, pot)

 Makefile |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit c81217a9e648201bb5e664a370e79a8158cef9df
Author: Sharuzzaman Ahmat Raslan <sharuzzaman@gmail.com>
Date:   Sun Sep 21 14:39:38 2008 +0000

    New Malay translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/ms.po |  207 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 207 insertions(+), 0 deletions(-)

commit 3b5e541a23f97ade7b7650726e81c8a2055092b6
Author: Marcus Nitzschke <marcusni@gmx.de>
Date:   Thu Sep 11 07:59:03 2008 +0000

    Updated German Translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/de.po |   22 +++++++++++-----------
 1 files changed, 11 insertions(+), 11 deletions(-)

commit 56bdda5be02090400606c923ff63d6aad8fa71fb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Sep 7 12:40:55 2008 +0000

    Updated Polish translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/pl.po |  125 ++++++++++++++++++++++++++++++++++++++++++++++++++++++--------
 1 files changed, 109 insertions(+), 16 deletions(-)

commit 060b394d85407ae05195009f8b4f434f5313bc61
Author: Valter Fukuoka <dotsoft@gmail.com>
Date:   Fri Sep 5 13:53:23 2008 +0000

    Portuguese translation including GUI strings
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/pt.po |   66 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 63 insertions(+), 3 deletions(-)

commit e1a287888121a8305a1782e5ae659c167a89dfc0
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Sep 3 04:23:34 2008 -0400

    Add a MANIFEST.in

 MANIFEST.in |   21 +++++++++++++++++++++
 1 files changed, 21 insertions(+), 0 deletions(-)

commit 39f096160df1844f383a8a3e43df983b4fc3df32
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Sep 3 04:14:14 2008 -0400

    Don't unmount the device if it was already mounted

 liveusb/creator.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0deadc8889138af3395c442ade7b82462abf9cab
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Sep 3 04:08:28 2008 -0400

    Fix an annoying device AlreadyMounted HAL/DBus race-condition.

 liveusb/creator.py |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit b71127a2473e8c7734b827fc182378ffee521da5
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Sep 3 04:07:34 2008 -0400

    Add a LiveUSBInterface class to the liveusb module.
    
    This class takes the place of the automatically PyQt generated Ui_Dialog class
    that the main dialog inherits from.  Our liveusb.__init__ module will
    automatically detect your platform, and set this class appropriately.

 Makefile            |    5 +++++
 liveusb/__init__.py |   12 +++++-------
 liveusb/gui.py      |   15 ++++++++-------
 3 files changed, 18 insertions(+), 14 deletions(-)

commit 1fb35118384159f00ad77fbb5b59db1327f42c5a
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Sep 3 04:05:41 2008 -0400

    Update our resources file

 liveusb/resources_rc.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit aa34023d566010c2f5bc73b669397809af15fce0
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Sep 3 04:05:27 2008 -0400

    Pull our dialogs out into platform specific interfaces

 liveusb/dialog.py         |  140 ---------------------------------------------
 liveusb/linux_dialog.py   |  115 +++++++++++++++++++++++++++++++++++++
 liveusb/windows_dialog.py |  121 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 236 insertions(+), 140 deletions(-)

commit ed8c1cd9ce3498fec88baa81871cd9e12644e931
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Sep 3 04:00:30 2008 -0400

    Remove the refresh button from our Linux UI, as we are able to detect new
    devices automatically thanks to DBus and HAL.

 data/liveusb-creator-linux.ui |   76 ++++++++++++++++-------------------------
 1 files changed, 30 insertions(+), 46 deletions(-)

commit 1fbd51ae1bd7fa3e2c6d49c41ca210d667723c58
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Sep 3 03:59:47 2008 -0400

    Remove an unnecessary manifest

 MANIFEST |   20 --------------------
 1 files changed, 0 insertions(+), 20 deletions(-)

commit bae94bce117a8494c57b88d62e5b41a0b5ac4ed6
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Sep 3 02:57:36 2008 -0400

    Make the rest of our GUI strings translatable, and update our pot file.

 liveusb/dialog.py      |   31 ++++++++--------
 po/POTFILES.in         |    1 +
 po/liveusb-creator.pot |   91 ++++++++++++++++++++++++++++++++++++++++++++----
 3 files changed, 101 insertions(+), 22 deletions(-)

commit 3ed915e920c33b4051f30e053edf791694f25fc8
Author: Valter Fukuoka <dotsoft@gmail.com>
Date:   Wed Sep 3 05:30:10 2008 +0000

    Portuguese Brazilian translation.
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/pt.po |  197 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 197 insertions(+), 0 deletions(-)

commit 558652b8dcad798e0d26f394611d92476c5a2974
Author: Fabian Affolter <fabian@bernewireless.net>
Date:   Sun Aug 31 10:36:40 2008 +0000

    Updated German translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/de.po |   16 +++++++++-------
 1 files changed, 9 insertions(+), 7 deletions(-)

commit ef404aedc3910985507b7e7030e5dfbd5bfa5b09
Author: Fabian Affolter <fabian@bernewireless.net>
Date:   Fri Aug 29 14:08:54 2008 +0000

    Initial German translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/de.po |  210 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 210 insertions(+), 0 deletions(-)

commit 1329ab51bf120bbfdfc68625d328854e78579f0a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Aug 28 08:08:09 2008 +0000

    Initial Polish translation
    
    Transmitted-via: Transifex (translate.fedoraproject.org)

 po/pl.po |  215 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 215 insertions(+), 0 deletions(-)

commit b2b0abe2f137095f8244f0b5e9eaa17c804cb533
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Aug 27 09:38:48 2008 -0400

    Add our liveusb-creator.pot file

 po/liveusb-creator.pot |  200 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 200 insertions(+), 0 deletions(-)

commit c622a3c5b0ca80991147e572fe110829c79751b5
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Aug 27 09:33:10 2008 -0400

    Make our strings translatable

 liveusb/creator.py |   58 ++++++++++++++++++++++--------------------
 liveusb/gui.py     |   70 ++++++++++++++++++++++++++--------------------------
 2 files changed, 65 insertions(+), 63 deletions(-)

commit e88e621c97e899b3c5cb98b14a0b56f46816741f
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Aug 27 09:32:48 2008 -0400

    Add translation.ugettext (as _) in liveusb.__init__ module

 liveusb/__init__.py |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit f45ae9b6c76164a63c3f00023403f950c5d3a895
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Aug 27 09:31:42 2008 -0400

    Add a po directory, along with a POTFILES.in

 po/POTFILES.in |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit a8a171da8982a008d12300c2f2bcf4c235d44da0
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Aug 14 01:17:49 2008 -0400

    Make our use of the %{buildroot} consistent

 liveusb-creator.spec |   22 +++++++++++-----------
 1 files changed, 11 insertions(+), 11 deletions(-)

commit 09ca7513e9b0d9ef574f6b30b323a1d059dd8f40
Author: Kushal Das <kdas@d80.(none)>
Date:   Wed Aug 13 22:16:39 2008 +0530

    new spec file

 liveusb-creator.spec |   55 ++++++++++++++++++++++++++++++++++---------------
 1 files changed, 38 insertions(+), 17 deletions(-)

commit 1d3b2a63c61dbeb39502d91cc8b5015b0de0efea
Author: Kushal Das <kdas@d80.(none)>
Date:   Wed Aug 13 22:15:19 2008 +0530

    fixed the applications menu entry and icon issue

 MANIFEST                     |    2 +-
 data/liveusb-creator.desktop |    4 ++--
 setup.py                     |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 7e199c7a6702500cffc051694324f8fce43b13db
Author: Kushal Das <kdas@d80.(none)>
Date:   Wed Aug 13 22:06:02 2008 +0530

    moved to consolehelper to have root power

 MANIFEST                |    3 ++-
 liveusb-creator.console |    5 +++++
 liveusb-creator.pam     |    5 +++++
 liveusb-creator.policy  |   16 ----------------
 setup.py                |    3 +--
 5 files changed, 13 insertions(+), 19 deletions(-)

commit 6019c53be1f76e5ae64aff49eafc6d0347dc441d
Author: Kushal Das <kdas@d80.(none)>
Date:   Wed Aug 13 21:34:18 2008 +0530

    tried to write a PolicyKit policy file, which is not working btw :)

 MANIFEST               |    1 +
 liveusb-creator.policy |   16 ++++++++++++++++
 setup.py               |    6 +++++-
 3 files changed, 22 insertions(+), 1 deletions(-)

commit 5c231fc6dfa8befc18a40b9d7d13bf32e0acd224
Author: Kushal Das <kdas@d80.(none)>
Date:   Wed Aug 13 21:08:49 2008 +0530

    Fixed to have a cleaner Linux based package

 LICENSE.txt                  |  683 +++++++++++++++++++++---------------------
 MANIFEST                     |    2 +
 data/liveusb-creator.desktop |   11 +
 setup.py                     |    1 +
 4 files changed, 356 insertions(+), 341 deletions(-)

commit 18e5c7f60e763fe9e57fc085c728518157059942
Author: Kushal Das <kdas@d80.(none)>
Date:   Wed Aug 13 20:17:16 2008 +0530

    setup.py fixed, now it will create different packages for different platform

 setup.py |   94 +++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 54 insertions(+), 40 deletions(-)

commit d744a6aa9de3ed98fb41278b02875b1bb2c78d4b
Author: Kushal Das <kdas@d80.(none)>
Date:   Tue Aug 12 00:02:48 2008 +0530

    Added LICENSE.txt into MANIFEST

 MANIFEST |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit 4e588fab8008db2544c44e94d4e2f1e9e10d72ec
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Jul 16 00:14:34 2008 -0400

    2.7

 setup.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3625e264b813df62393a34901a6fb02734b390fa
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Jul 16 00:13:00 2008 -0400

    Make WindowsLiveUSBCreator._get_device_uuid errors less fatal

 liveusb/creator.py |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit b6ed472dd356423ba80aad4708d4cafc253605b8
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Jul 13 02:19:38 2008 -0400

    Return 0 from get_free_bytes if win32file.GetDiskFreeSpace throwns an exception
    
    This is a temporary workaround for the issues mentioned in Ticket #115.

 liveusb/creator.py |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit c07d292d529c94173b0f457cb0afc19c92e6c003
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Jul 13 01:23:15 2008 -0400

    Update our setup.py to handle distutils.  Patch from caio1982@gmail.com (#94)

 setup.py |   16 +++++++++++++++-
 1 files changed, 15 insertions(+), 1 deletions(-)

commit c5172dd771fc2c7a6d0bd61ec515de492497d5fb
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Jul 13 01:21:13 2008 -0400

    Update the ChangeLog

 ChangeLog |  730 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 730 insertions(+), 0 deletions(-)

commit 50fd39450148866f4b45f290f45f990651feac8e
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Jul 13 01:04:16 2008 -0400

    Catch all Exceptions in our GUI, as to not cause silent explosions.

 liveusb/gui.py |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 5a6131e3e84346904def7f6ec000bed0826a5062
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Jul 13 00:45:16 2008 -0400

    Automatically detect when drives have been added/removed, and update the GUI.
    
    If HAL and DBus are available, attach to the Device{Added,Removed} signals,
    which allow us to automatically update the GUI when devices are added
    and removed from the system.  This will allow us to remove the refresh button
    in our Linux version.

 liveusb/gui.py |   15 ++++++++++++++-
 1 files changed, 14 insertions(+), 1 deletions(-)

commit f0e8d8da3ba23d17752aa99ceb04fe4a1f16836b
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Jul 13 00:24:43 2008 -0400

    Ensure we always unmount our ISO

 liveusb/creator.py |   28 ++++++++++++++++------------
 1 files changed, 16 insertions(+), 12 deletions(-)

commit 555a168cc23c70ce5746ee65509be7ea99078148
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Jul 12 23:54:35 2008 -0400

    Remove some superfluous output

 liveusb/creator.py |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 83db0fd2cd3ae5ccce10541214341ad87669cc2c
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Jul 12 23:40:47 2008 -0400

    Make sure to add a 'device' field to each drive in self.drives

 liveusb/creator.py |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 17ef28519bc0ed6740c8348129351dd8d51133bc
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Jul 12 23:35:31 2008 -0400

    Revert to the previous _get_device_uuid implementation.
    
    This seems to be a bit more stable, seeing as how the second implementation
    completely stopped working for me.

 liveusb/creator.py |   21 +++++++++++----------
 1 files changed, 11 insertions(+), 10 deletions(-)

commit c3d531acfdca32124b49e56fabafd56f016f4788
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Jul 12 02:05:01 2008 -0400

    Add an extract_iso test case

 tests/test_creator.py |   27 +++++++++++++++++++++++++++
 1 files changed, 27 insertions(+), 0 deletions(-)

commit 1badaec48162762366e5c41c05de12a3def4db18
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Jul 12 02:04:30 2008 -0400

    Don't unmount in the extract_iso method

 liveusb/creator.py |   30 +++++++++++++-----------------
 1 files changed, 13 insertions(+), 17 deletions(-)

commit 5a9f4a90e7e5f41508ecc9ca09504e595d71afa6
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Jul 12 02:04:06 2008 -0400

    Change the way we access the selected drive from the LiveUSBCreator.
    
    - Set the fget for the ``drive`` property to avoid doing it everywhere

 liveusb/creator.py |   98 +++++++++++++++++++++++++++++++++-------------------
 liveusb/gui.py     |    6 ++--
 2 files changed, 65 insertions(+), 39 deletions(-)

commit 03b4f9718ad5d0d50061c5587a759c53bb31b3c4
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Jul 12 00:12:31 2008 -0400

    Add a test_verify_filesystem test case

 tests/test_creator.py |   28 ++++++++++++++++++++++++++++
 1 files changed, 28 insertions(+), 0 deletions(-)

commit 528680f99122028a34e308a931d2227727bff053
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Jul 12 00:06:52 2008 -0400

    Write a test_mount_device unit test

 tests/test_creator.py |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

commit e3e3b47f98e4f046e659ab660e5d68012585d786
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jul 11 22:40:34 2008 -0400

    Improve our detect_removable_drives test case

 tests/test_creator.py |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit bdde79fb751aaad14a87020536ed2b618939bf57
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Jul 2 21:21:32 2008 -0400

    Add the beginnings of a test suite

 tests/test_creator.py |   33 +++++++++++++++++++++++++++++++++
 1 files changed, 33 insertions(+), 0 deletions(-)

commit cb9af2c23eea0e7e74be63f9037cefa0239e8966
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Jul 2 21:08:29 2008 -0400

    Add the opts back to the LiveUSBDialog

 liveusb/gui.py |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit fbc866e0c07cfb06152b1fbcf87c46ffa7f56539
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Jul 1 22:19:55 2008 -0400

    Bail out if we cannot get/set a label or a uuid

 liveusb/gui.py |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 92b0c45a841a34154071ad30124b7e7c5fdfcbab
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Jul 1 22:19:22 2008 -0400

    Use the self.opts.safe, instead of the method argument

 liveusb-creator    |    5 +++--
 liveusb/creator.py |    6 +++---
 2 files changed, 6 insertions(+), 5 deletions(-)

commit 97488c0ac65fecde8beedf126cd68395d21b040c
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Jul 1 18:13:52 2008 -0400

    Clean up the API a bit by removing the force/safe arguments from our methods.
    
    This data comes in via our opts, and is not only passed into the LiveUSBCreator
    upon creation, but also to the gui as well.  This removes the force and safe
    arguments from various LiveUSBCreator methods since it already knows the
    values of those via self.opts.

 liveusb/creator.py |   33 +++++++++++++++------------------
 liveusb/gui.py     |    7 ++-----
 2 files changed, 17 insertions(+), 23 deletions(-)

commit 7cb58797c687aa7130fd194a24ccc20ab1804f9a
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Jul 1 17:08:03 2008 -0400

    LiveUSBCreator.setup_logger does not need to be 'public'

 liveusb/creator.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit dd67ede7b566a485f4943eb0e80ce4c2487135c5
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Jul 1 03:41:25 2008 -0400

    Lots of PEP8 semantic changes based on an initial pylint check.

 liveusb-creator    |   12 ++--
 liveusb/creator.py |  216 ++++++++++++++++++++++++++++------------------------
 liveusb/gui.py     |  166 ++++++++++++++++++++++------------------
 3 files changed, 212 insertions(+), 182 deletions(-)

commit c319757b8b79df8fe1b696639343b5e82376fbad
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Jul 1 03:40:28 2008 -0400

    Create a _to_unicode method to help us mitigate some unicode issues

 liveusb/gui.py |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

commit fc145174d119f62bb4535605d3bf0d9036ad2c4d
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Jun 30 02:07:23 2008 -0400

    Support proxies in Windows (Ticket #111)

 liveusb/creator.py |   27 +++++++++++++++++++++++++++
 liveusb/gui.py     |   10 ++++++----
 2 files changed, 33 insertions(+), 4 deletions(-)

commit d22c61e036bf5ed23c409d4af32b961a71a5d3f8
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Jun 12 18:41:45 2008 -0400

    Fix mounting unmounted devices

 liveusb/creator.py |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 7fccbea7deb9268e47df3b0b55017412ab7368c2
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Jun 11 13:30:33 2008 -0400

    Patch from Caio Begotti to fix our py2exe configuration

 setup.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f1e0d383b60ab3b25ce55a3a51b36afda3b6e8b6
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Jun 7 17:29:56 2008 -0400

    If we cannot decode the iso filename, which is most likely due to unicode
    issues on Windows, then suggest the user move the ISO to the root directory.

 liveusb/gui.py |   15 +++++++++++----
 1 files changed, 11 insertions(+), 4 deletions(-)

commit c2d0851c7f56be04f1ab16f0aea344ff89652064
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Jun 7 17:22:03 2008 -0400

    Minor status formatting change

 liveusb/creator.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 28d9bd884066058e4078f68b6ff75fcb950f4c7d
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Jun 7 17:05:04 2008 -0400

    Fix a logic bug in unmountDevice()

 liveusb/creator.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e3495a730430c3938797f75fdf3b9d35279e802c
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jun 6 23:11:56 2008 -0400

    Make sure our tools exist.  If not, tell the user to extract the entire zip.

 liveusb/creator.py |   19 +++++++++----------
 1 files changed, 9 insertions(+), 10 deletions(-)

commit bd3095782ba191b40b848fa3207301e5d5333595
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Jun 6 14:27:41 2008 -0400

    Add the free space and fstype of our devices upon detection in Windows

 liveusb-creator    |    2 +-
 liveusb/creator.py |    9 +++++++--
 2 files changed, 8 insertions(+), 3 deletions(-)

commit 75023cf6b644fba92a46628762006a29026f77cc
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Jun 4 10:30:48 2008 -0400

    Catch some more errors in the gui

 liveusb/gui.py |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit dfd9e225e8287f3d540e973ace5bc7430a517707
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Jun 4 10:29:52 2008 -0400

    Catch dbus and filesystem label change errors

 liveusb/creator.py |   24 ++++++++++++++----------
 1 files changed, 14 insertions(+), 10 deletions(-)

commit 3fdeb6deef0b7fcdf65bc4b5d5bb6fd36a98bedc
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri May 30 17:39:00 2008 -0400

    Dynamically alter the max persistence slider based on the selected device.
    
    This only works for mounted devices, since we can easily determine how much
    free space is available.  For devices that are not mounted, or have more than
    2 gigs of free space, we set the maximum overlay size to 2047mb.

 liveusb/creator.py |    8 ++++----
 liveusb/gui.py     |   15 ++++++++++++++-
 2 files changed, 18 insertions(+), 5 deletions(-)

commit cfcddf99f3a593395832d5532b6d374041583762
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri May 30 17:34:37 2008 -0400

    If we cannot remove the existing LiveOS, something is wrong, so bail out.

 liveusb/gui.py |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 0e622473bedc961a71badca6b36472363d3adff8
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu May 29 23:03:19 2008 -0400

    Actually check the value of the 'unmount' flag when exiting

 liveusb/creator.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e0d43449a0b052d72b595c9753b7f219e99d5df4
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu May 29 23:02:43 2008 -0400

    Make --force work in Linux

 liveusb/creator.py |   15 +++++++++------
 1 files changed, 9 insertions(+), 6 deletions(-)

commit 2033daf7f395660abf12a39b8c54c1960f95c07c
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu May 29 23:00:28 2008 -0400

    Keep track of all of the free bytes of our drives upon detection.

 liveusb/creator.py |   24 ++++++++++++++----------
 1 files changed, 14 insertions(+), 10 deletions(-)

commit cfa6bafec7245138c7f6f9c32f6ec21abdc8aa9e
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu May 29 22:57:05 2008 -0400

    s/Overlay/Storage/

 data/liveusb-creator.ui |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 07f93ad1fb996ee4c84ced98a55e6f249fe3ab24
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu May 29 22:56:41 2008 -0400

    s/Overlay/Storage/

 liveusb/dialog.py |    4 ++--
 liveusb/gui.py    |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 58055f0bb20dd52f2cc679f078898567ef8787fb
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu May 29 00:51:53 2008 -0400

    Fix a log typo

 liveusb/creator.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 06b70f678e74fd29cf7a441c54099d1c2d9a107a
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu May 29 00:51:17 2008 -0400

    Add some error handling for when people do not fully extract the zip file.

 liveusb/creator.py |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 4580e30eb6d680d95bf809e6fb6d6e54e76809f8
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu May 29 00:30:10 2008 -0400

    No need to str()ify our slot arguments anymore, thanks to PyQt_PyObject.

 liveusb/gui.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b4364105fbd9360322b924ca6a3af295cc67ae16
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu May 29 00:29:33 2008 -0400

    Catch LiveUSBErrors when trying to remove an existing LiveOS

 liveusb/gui.py |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit f5691d5ca062ff3f0a88819a256eae7000346441
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu May 29 00:29:04 2008 -0400

    Fixes to our HAL mounting/unmounting code, making it more robust.

 liveusb/creator.py |   61 +++++++++++++++++++++++++++++----------------------
 1 files changed, 35 insertions(+), 26 deletions(-)

commit ac860aad9f9de373f04cde57510ffea6b6d122b8
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed May 28 23:25:10 2008 -0400

    Catch OSErrors when trying to remove the previous LiveOS

 liveusb/creator.py |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit dde26de0b26455af098d32198cb7933f6efb8beb
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed May 28 23:20:45 2008 -0400

    Remove p7zip from our spec requirement

 liveusb-creator.spec |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 433c26a290d5181dd5c35906c48395d6af4fb65b
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed May 28 23:20:09 2008 -0400

    Use HAL via D-Bus to Mount and Unmount our device when using Linux.

 liveusb/creator.py |   29 ++++++++++++++++++++++-------
 1 files changed, 22 insertions(+), 7 deletions(-)

commit 3554ba9723787315f4834e9b350347693a059274
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed May 28 23:19:19 2008 -0400

    Make our "not enough drive space" message a bit more useful.

 liveusb/creator.py |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 10c64dedae4c50716aaa01cffc398fb06e8dee28
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed May 28 23:18:25 2008 -0400

    Add a tweaked out QtDesigner ui file specifically for Linux,
    since there are some font size differences between the two platforms.

 data/liveusb-creator-linux.ui |  286 +++++++++++++++++++++++++++++++++++++++++
 1 files changed, 286 insertions(+), 0 deletions(-)

commit 4b1fa684e93c2518c0028c2b881aa3d3cdef802d
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed May 28 13:19:08 2008 -0400

    mv liveusb-creator{.py,}

 liveusb-creator    |   63 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 liveusb-creator.py |   63 ----------------------------------------------------
 2 files changed, 63 insertions(+), 63 deletions(-)

commit c606205924576d90ec2836853912008eed338ea3
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed May 28 12:58:18 2008 -0400

    Replace blank spaces with underscores in device labels in our LinuxLiveUSBCreator

 liveusb/creator.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c81e4b46a18a9c99c1633165a0f6487b87182f1d
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue May 27 02:23:10 2008 -0400

    Make some minor cleanups to LiveUSBCreator.popen

 liveusb/creator.py |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 25c47fe28c595bf2ce1a496be6ebcd5edef208ad
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue May 27 02:05:00 2008 -0400

    Refactor our UUID handling.  Remove the need for LiveUSBCreator._getDeviceUUID.
    
    Upon loading, we grab the UUID's of all of the removable (or forced) devices,
    and store them in self.drives[drive]['uuid'].

 liveusb/creator.py |   44 ++++++++++++++++++++++----------------------
 1 files changed, 22 insertions(+), 22 deletions(-)

commit 7a7ee3cbcd149932d1cd84673eb968cd0cf00c03
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue May 27 02:03:30 2008 -0400

    Remove the last two lame setter methods, setImage/setOverlay.

 liveusb/creator.py |    9 ++-------
 1 files changed, 2 insertions(+), 7 deletions(-)

commit a52b50678fd28ca8f9e9ef631045131cbe0125e1
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue May 27 02:02:51 2008 -0400

    Read 1mb chunks when doing the SHA1 check.
    
    This seems to fix an issue with the progressbar being updated too fast, which
    causes some serious lag.

 liveusb/creator.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b9ca23b474ed3fc3ee9ffb2ef624a5a289ef67f2
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue May 27 02:01:12 2008 -0400

    Add a logger to the LiveUSBCreator class

 liveusb/creator.py |   60 ++++++++++++++++++++++++++++++++++++---------------
 1 files changed, 42 insertions(+), 18 deletions(-)

commit 0c2d226f4c2dc25853c96198ddc505cea1e697d8
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue May 27 01:59:27 2008 -0400

    Make sure we always terminate() our dialog  window

 liveusb/gui.py |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit d4143f035f0a841ccca28813c22357d085786d1d
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue May 27 01:48:50 2008 -0400

    Clean up our main script

 liveusb-creator.py |   68 ++++++++++++++++++++++++++++++---------------------
 1 files changed, 40 insertions(+), 28 deletions(-)

commit 6c5426a01b5937a028f4a1128bd20b4b62b8d697
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue May 27 00:09:54 2008 -0400

    Replace our use of the 'const QString &' signal arguments with PyQt_PyObject

 liveusb/gui.py |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 8377b5cdad64ff3a128c02d48b22e6d0fe95d76d
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue May 27 00:05:19 2008 -0400

    Whitespace and some comment cleanups

 liveusb/creator.py |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 6d5926f4b6eeafdd0f34b0fb28bda803e3f30c79
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon May 26 21:31:39 2008 -0400

    Clear the status window when the devices are refreshed

 liveusb-creator.spec |   44 ++++++++++++++++++++++++++++++++++++++++++++
 liveusb/gui.py       |    1 +
 2 files changed, 45 insertions(+), 0 deletions(-)

commit 7e83e81b850836d20ce9de08d0b3bde74b1a5064
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon May 26 20:38:18 2008 -0400

    Remove an unused module from the gui

 liveusb/gui.py |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 7a9ca80477d2077597f10cc5213a6990089277d9
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon May 26 20:37:33 2008 -0400

    Linux support!  Along with a ton of refactoring...
    
    - Implement the rest of the missing LinuxLiveUSBCreator methods
    - Keep track of our removable devices in a dictionary containing the device,
      label and mount point, which is necessary for the Linux implementation
    - Change LiveUSBCreator.drive into a property
    - LiveUSBCreator.dest is our destination, where 'drive' is now the device name.
    - Add a 'force' option to the detectRemovableDrives method
    - Make extractISO platform-dependent, as we cannot use 7za to extract ISOs
      in Linux
    - Added new LiveUSBCreator methods:
        - terminate
        - mountDevice / unmountDevice
        - deleteLiveOS
        - getFreeBytes
    - Do all of our subprocess error handling within LiveUSBCreator.popen,
      so we don't have to look at p.returncode every time we use it
    - Make installBootloader platform-specific, as syslinux has different arguments
      for each platform.
    - Have the LinuxLiveUSBCreator.verifyFilesystem set the label if necessary
    - Catch errors when setting the volume label in Windows
    - Moved a bunch of logic from the gui into the LiveUSBCreator class

 liveusb/creator.py |  282 ++++++++++++++++++++++++++++++++++++++--------------
 liveusb/gui.py     |   55 ++++-------
 2 files changed, 227 insertions(+), 110 deletions(-)

commit 84dc794eb75692a9d492d55bbfca439cae1ad7f0
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon May 26 20:29:24 2008 -0400

    If we can't acquire the UUID and set a label, bail out.

 liveusb/gui.py |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit d34adad42dfbbd41e639a56e6d4b38638bc1e0c7
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon May 26 20:27:30 2008 -0400

    Update the dialog module for the new ui changes

 liveusb/dialog.py |   28 ++++++++++++++++++++++++----
 1 files changed, 24 insertions(+), 4 deletions(-)

commit 9360c331877ecc3f44a340e446753e03e510b627
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon May 26 20:27:10 2008 -0400

    Add a --noverify option to allow skipping checksum verification

 liveusb-creator.py |    2 ++
 liveusb/gui.py     |   11 ++++++-----
 tools/7z.exe       |  Bin 0 -> 141824 bytes
 tools/7za.exe      |  Bin 141824 -> 0 bytes
 4 files changed, 8 insertions(+), 5 deletions(-)

commit 6bb7f9460862a49cd0bcddfc513e44b86d7dc845
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon May 26 20:25:31 2008 -0400

    Make our fonts a bit smaller

 data/liveusb-creator.ui |   35 ++++++++++++++++++++++++++++++-----
 1 files changed, 30 insertions(+), 5 deletions(-)

commit 79bb371840681c5b41d7497afc2da8aec9cabeac
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon May 26 13:26:31 2008 -0400

    Rename 7z.exe to 7za.exe, which will let us use the same method across Linux (p7zip) and Windows (7-Zip)

 tools/7z.exe  |  Bin 141824 -> 0 bytes
 tools/7za.exe |  Bin 0 -> 141824 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit 98538d6aead0bcd2464c6d9e79dcc8eb829ce670
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun May 25 20:06:14 2008 -0400

    Move a lot of logic up into the LiveUSBCreator class, making our
    platform-specific subclasses much cleaner.
    
    - Create a generic popen method to handle spawning and logging subprocesses
    - Moved the following methods up into the platform-independent LiveUSBCreator
        verifyImage
        extractISO
        createPersistentOverlay
        installBootloader
    - Move getDevice to _getDevice in the LinuxLiveUSBCreator

 liveusb/creator.py |  195 +++++++++++++++++++++++++---------------------------
 1 files changed, 94 insertions(+), 101 deletions(-)

commit 4998ce696a72e2029dd7bcc0a3d35c85e399af3f
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun May 25 19:38:47 2008 -0400

    Pass the optional 'safe' argument to LiveUSBCreator.installBootloader

 liveusb/gui.py |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 352585ae724f3b136e34d6d10076b89527b73b76
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun May 25 19:36:12 2008 -0400

    Fix a typo in one of the tooltips, and make an alt+b shortcut to browse for an ISO

 liveusb/dialog.py |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 8441ee3b868eadbfcd961bdf40ad7fd7ec59f3aa
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun May 25 19:33:07 2008 -0400

    Add a setImage method to our LiveUSBCreator

 liveusb/creator.py |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 7a52dab1297a087f73afdcd172bdcc73a76039a7
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat May 24 12:24:52 2008 -0400

    Remove non-existant method call

 liveusb-creator.py |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit cb18a79ee111229d61da07b0f2d7542b3561a887
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat May 24 12:24:33 2008 -0400

    Add an alt+b shortcut for the Browse button

 data/liveusb-creator.ui |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit a214cb628b00448ec3f51e8c15e1ea5437d73460
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed May 21 23:53:26 2008 -0400

    v2.5

 ChangeLog |   42 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 42 insertions(+), 0 deletions(-)

commit af93e20cbb443d7fe5e8637a9cc5628e65e1cd4a
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun May 18 21:37:48 2008 -0400

    Fix the optional force argument to syslinux

 liveusb/creator.py |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit fdf782b7cfeb22f98ccbe9d10d981ef65cd917c0
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun May 18 14:29:42 2008 -0400

    Set stdin to a subprocess.PIPE, to avoid "the handle is invalid" errors (#38)
    
    This issue only occurs when running the executable from the command-line.
    More details can be found here:
        http://www.py2exe.org/index.cgi/Py2ExeSubprocessInteractions

 liveusb/creator.py |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 346cee602daee2b128244782d8f3227174bcffb8
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun May 18 03:58:37 2008 -0400

    Add a '--force' option to force the use of a specific device (ticket #15)

 liveusb-creator.py |   16 +++++++++++++---
 liveusb/creator.py |    6 +++---
 liveusb/gui.py     |   18 ++++++++++++------
 3 files changed, 28 insertions(+), 12 deletions(-)

commit 68de834ef2aedbf67c3c2b7a11e6eba6e74c9c40
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat May 17 01:45:56 2008 -0400

    v2.4

 ChangeLog |  111 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 111 insertions(+), 0 deletions(-)

commit 199ac3c57f63473987290eedba15660ea5e7953b
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat May 17 01:44:46 2008 -0400

    Catch all exceptions in _getDeviceUUID, and fallback to dealing with labels.

 liveusb/creator.py |   25 ++++++++++++++-----------
 1 files changed, 14 insertions(+), 11 deletions(-)

commit 65fa522cee67fc8727f8dcdbb620b94340b57954
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat May 17 01:42:54 2008 -0400

    Fix persistence for devices that have a label containing a space (ticket #34)

 liveusb/creator.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 53d1462719b8cab34b90c9aff123c6ae2e84fe07
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed May 14 23:46:21 2008 -0400

    If we can't find a UUID, use a LABEL instead.  This makes it so persistence can work
    on sticks that do not have a serial number.

 liveusb/creator.py |   24 +++++++++++-------------
 liveusb/gui.py     |    9 ---------
 2 files changed, 11 insertions(+), 22 deletions(-)

commit fb9cf8ef12df1d0e3e9bbfeac07d749bac1f018b
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed May 14 19:29:43 2008 -0400

    Try and grab the UUID before we being, to see if we have to disable persistence
    or not.  For certain devices, Windows does not give us a VolumeSerialNumber.
    This sucks, but we can still hack around it.  This fixes ticket #19.

 liveusb/gui.py |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

commit 597f9ac36279e53eaec67d7fb31589d11a2aed1b
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed May 14 19:29:07 2008 -0400

    Make the LiveUSBCreator._getDeviceUUID a bit less insane for Windows platforms.

 liveusb/creator.py |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 8d2a8059520416119adab2f338af8e26fb4d2c82
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed May 14 19:28:19 2008 -0400

    Add setDrive and setOverlay methods to the LiveUSBCreator.

 liveusb/creator.py |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 83421151d39ccce3d86cfc4d67fa2be061854b86
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed May 14 19:27:25 2008 -0400

    Switch back to using the LABEL for the root device by default, as we
    make sure it this set anyway, and it'll save us the check if we have to
    disable persistence due to a missing UUID.

 liveusb/creator.py |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit f4f93c097e6ca3efca5409fc8c6738d9a177fcc4
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed May 14 19:26:37 2008 -0400

    Remove the miliseconds from our duration time

 liveusb/gui.py |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 655c2cdceccd56268420c5df2c873c97dfc544f7
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue May 13 20:37:18 2008 -0400

    Fix a typo in one of the tooltips

 data/liveusb-creator.ui |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0d1837e40234298cc22fc7c2855c83e3d32b2649
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue May 13 14:38:44 2008 -0400

    Add the Fedora 9 release

 liveusb/releases.py |   84 +++++++++++++++++++++++++-------------------------
 1 files changed, 42 insertions(+), 42 deletions(-)

commit 9eb8d2c06ead6ab61195459810a658473c22c866
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue May 6 16:29:13 2008 -0400

    v2.1

 ChangeLog                        |   27 +++++++++++++++++++++++++++
 liveusb/urlgrabber/__init__.pyo  |  Bin 1665 -> 0 bytes
 liveusb/urlgrabber/byterange.pyo |  Bin 16391 -> 0 bytes
 liveusb/urlgrabber/grabber.pyo   |  Bin 52714 -> 0 bytes
 liveusb/urlgrabber/keepalive.pyo |  Bin 20266 -> 0 bytes
 liveusb/urlgrabber/mirror.pyo    |  Bin 16892 -> 0 bytes
 liveusb/urlgrabber/progress.pyo  |  Bin 22515 -> 0 bytes
 7 files changed, 27 insertions(+), 0 deletions(-)

commit f6bfa8665bebc0236349aad7274b08c8004629cc
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue May 6 15:43:23 2008 -0400

    Update syslinux to 3.63

 tools/syslinux.exe |  Bin 24576 -> 24576 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit 51f6070c887466afae95acb1cabb6e8d13665274
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue May 6 15:42:39 2008 -0400

    Use the device UUID instead of the label

 liveusb/creator.py |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 78e3906285f100d77204cc6b3098818e96ad097c
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue May 6 15:10:27 2008 -0400

    Update changelog for v2.0

 ChangeLog |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit 51eb6b0e39b95a33e87c11d90ed6a43f70556680
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue May 6 15:00:18 2008 -0400

    Have syslinux use a 'safe' version, install an MBR sector, and mark it as bootable.

 liveusb/creator.py |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit 461fe3cbf7745ee62caa75d464c82cc2299ac32a
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Apr 30 17:22:40 2008 -0400

    Update ChangeLog

 ChangeLog |   47 +++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 47 insertions(+), 0 deletions(-)

commit f6361977eb863f5d2b8637370fd42aa7c096de90
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Apr 30 15:03:44 2008 -0400

    Catch LiveUSBErrors while detecting devices.  Disable the start button
    if we can't find any, and re-enable it when one is found.

 liveusb/gui.py |   24 ++++++++++++++----------
 1 files changed, 14 insertions(+), 10 deletions(-)

commit 968f6f5cd5e17d485378940c826050a292361fe1
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Apr 30 14:48:30 2008 -0400

    Don't force our syslinux install.  This could potentially hide some problems

 liveusb/creator.py |    6 +-----
 1 files changed, 1 insertions(+), 5 deletions(-)

commit 30ddf798d040724c9e6b2cb8d96049458fcf9094
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Apr 29 10:27:48 2008 -0400

    Enable/disable the refresh button as necessary.

 liveusb/gui.py |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 4f383ab4794df94ef5c4b7fa853b30ab5c201e98
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Apr 29 10:00:02 2008 -0400

    Populate releases before devices.  This way, if no devices are found, we
    don't butcher our release menu.

 liveusb/gui.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f754fac0cb18e5864fcf03f6886ee75ea29ebb2c
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Apr 28 21:50:20 2008 -0400

    update changelog

 ChangeLog |   55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 55 insertions(+), 0 deletions(-)

commit 6102c231619d0fb6eea2cf2de8b7063a028244b0
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Apr 28 21:49:42 2008 -0400

    Remove some unnecessary files

 liveusb/urlgrabber/mirror.pyc |  Bin 16892 -> 0 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit 8602c0f12f4808348e085743a1bdee380843626d
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Apr 28 21:49:32 2008 -0400

    Remove some unnecessary files

 liveusb/urlgrabber/__init__.pyc  |  Bin 1677 -> 0 bytes
 liveusb/urlgrabber/byterange.pyc |  Bin 16918 -> 0 bytes
 liveusb/urlgrabber/grabber.pyc   |  Bin 53564 -> 0 bytes
 liveusb/urlgrabber/keepalive.pyc |  Bin 20834 -> 0 bytes
 liveusb/urlgrabber/progress.pyc  |  Bin 23313 -> 0 bytes
 5 files changed, 0 insertions(+), 0 deletions(-)

commit 3122311dc1f89d5883fef324e9a29935b28e084f
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Apr 28 21:47:16 2008 -0400

    Add a refresh button for our device list (Ticket #10)

 data/liveusb-creator.ui |   30 +-
 data/refresh.png        |  Bin 0 -> 912 bytes
 data/resources.qrc      |    3 +
 liveusb/creator.py      |    1 +
 liveusb/dialog.py       |   13 +-
 liveusb/gui.py          |   12 +-
 liveusb/resources_rc.py | 2104 ++++++++++++++++++++++++-----------------------
 7 files changed, 1135 insertions(+), 1028 deletions(-)

commit b9a9948ce1fe778b21a88fee2e3aa8b06ab0e7b9
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 20:27:29 2008 -0400

    Fix ui filename in README

 README.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 94260247306ab13cfd8adfeebacacdfee08a4eed
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 04:20:15 2008 -0400

    Update the ChangeLog

 ChangeLog |  690 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 1 files changed, 650 insertions(+), 40 deletions(-)

commit 38e788006064ed6ecefe2af820de1298854246dd
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 04:18:01 2008 -0400

    More tools/data organization

 data/liveusb-header.png |  Bin 0 -> 15736 bytes
 tools/7-Zip-License.txt |   79 +++++++++++++++++++++++++++++++++++++++++++++++
 tools/7z.dll            |  Bin 0 -> 601088 bytes
 tools/7z.exe            |  Bin 0 -> 141824 bytes
 tools/7zCon.sfx         |  Bin 0 -> 136192 bytes
 5 files changed, 79 insertions(+), 0 deletions(-)

commit 61219ee9b47ef987b7c7b6bc2f0a6cb0f5d012ce
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 04:17:11 2008 -0400

    Add the gimp file for our shiny new header

 data/liveusb-header.xcf |  Bin 0 -> 26650 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit 542da89566cc1a2e314095ebbce2b3f9328b5570
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 04:01:55 2008 -0400

    Shipping the README does not seem to be necessary at the moment.

 setup.py |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 1a9a05dadf51f3e161a4edab93ed8b2dbf5088e2
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 03:59:30 2008 -0400

    Some minor dialog tweaks

 data/liveusb-creator.ui |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 07d0152605702013ee97d669a8d437928bcface7
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 03:59:18 2008 -0400

    Some minor dialog tweaks

 liveusb/dialog.py |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 15415ba909adf0ac1e83312d36aeb51ab43fd727
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 03:55:24 2008 -0400

    Add our PyQt resources.qrc file that contains our pixmap reference

 data/resources.qrc |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 4a5e2d483cfbd73b9ab9e9c6acdf2043277da5a4
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 03:54:52 2008 -0400

    Rename our QtDesigner file to liveusb-creator.ui

 data/liveusb-creator.ui |  230 +++++++++++++++++++++++++++++++++++++++++++++++
 data/luDialog.ui        |  104 ---------------------
 data/newdialog.ui       |  230 -----------------------------------------------
 3 files changed, 230 insertions(+), 334 deletions(-)

commit c9d441fc45a1de61b01a5397f4c17344ed6dd0ff
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 03:54:04 2008 -0400

    Sync up our QtDesigner UI changes

 data/newdialog.ui |   72 +++++++++++++++++++++++++++++++++++++++-------------
 1 files changed, 54 insertions(+), 18 deletions(-)

commit aa717545a4f5c7c7507228c97bd324326b19a6a4
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 03:46:05 2008 -0400

    Some of our data files have moved.

 setup.py |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 000dd04ee3efcaf3f106c7060fda05e4f3e0350e
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 03:44:11 2008 -0400

    Alter our progress polling interval

 liveusb/gui.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2d56a87ee294c130a747b092d920795dfeb917a1
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 03:43:11 2008 -0400

    Terminate any subprocesses if the application is closed in the middle of one

 liveusb/creator.py |    4 ++++
 liveusb/gui.py     |   17 ++++++++++++++++-
 2 files changed, 20 insertions(+), 1 deletions(-)

commit 0e2e39daffd6fbe6cd9a4018fa5d5fb04e2ecf84
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 03:42:04 2008 -0400

    Move some tools around

 tools/7-Zip/7-Zip-License.txt |   79 -------
 tools/7-Zip/7z.dll            |  Bin 601088 -> 0 bytes
 tools/7-Zip/7z.exe            |  Bin 141824 -> 0 bytes
 tools/7-Zip/7zCon.sfx         |  Bin 136192 -> 0 bytes
 tools/7-Zip/copying.txt       |  504 -----------------------------------------
 5 files changed, 0 insertions(+), 583 deletions(-)

commit 380bb5df3b4ad98a9506704008f037c748869a53
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 02:47:20 2008 -0400

    Update the README with instructions for getting the latest code in Windows,
    among other cleanups.

 README.txt |   24 ++++++++++++++----------
 1 files changed, 14 insertions(+), 10 deletions(-)

commit 2824918efb7d2d63cff9857eb7de4643efe46f71
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 01:43:34 2008 -0400

    Fix some file extensions

 setup.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit ccb9392195fba6ec03707ace4ff51edb0dd92f8d
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 01:40:14 2008 -0400

    Add our README, LICENSE, and 7-zip license to our distribution

 setup.py |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit da78c537ea2db9ac4849e14cf38f1a1efd48213f
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 01:39:43 2008 -0400

    Use PyQt resources for our header pixmap.  Also change the wording a bit
    on the overlay help.

 liveusb/dialog.py |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit afd84b01909dcca2dc1d15daea06ef24d0f05c6e
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 01:39:17 2008 -0400

    Add instructions for compiling the PyQt resources to the README

 README.txt |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 81e740ae9d15993683a9ff346d47c2c63d940818
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 01:38:38 2008 -0400

    Add our compiled PyQt resource module, and move a bunch of other stuff around.

 LICENSE                       |  341 --------------
 LICENSE.txt                   |  341 ++++++++++++++
 README                        |   49 --
 README.txt                    |   53 +++
 liveusb/resources_rc.py       | 1020 +++++++++++++++++++++++++++++++++++++++++
 tools/7-Zip/7-Zip-License.txt |   79 ++++
 tools/7-Zip/History.txt       |  777 -------------------------------
 tools/7-Zip/License.txt       |   79 ----
 tools/7-Zip/readme.txt        |   65 ---
 9 files changed, 1493 insertions(+), 1311 deletions(-)

commit 1ee3c8e35ba514c18b74c610020fc5ea2c3efa61
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 01:35:05 2008 -0400

    Fix a bug in the ProgressThread where our totalsize has not been initialized.

 liveusb/gui.py |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 792ae98b2ce3f1a17dece3ffa6531d386ea3ff41
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 27 00:13:06 2008 -0400

    Interface modifications.  Added lots of help documentation for when users use
    the question mark button in the window.

 liveusb/dialog.py |   41 ++++++++++++++++++++++++++++-------------
 1 files changed, 28 insertions(+), 13 deletions(-)

commit 2f027ce973db2be28017e6c123fd84ebf2d9e2c9
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Apr 26 01:32:50 2008 -0400

    Make the LiveUSBCreator.installBootloader an OS independent method, due
    to various tweaks that need to be done in the win32 implementation.

 liveusb/creator.py |   52 +++++++++++++++++++++++++++++-----------------------
 1 files changed, 29 insertions(+), 23 deletions(-)

commit ee833fb12e72ef047b81504f47f7227c576f4532
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Apr 26 01:29:35 2008 -0400

    Fix our 7-Zip path

 liveusb/creator.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d7c9deba27361431f89fa6e9dd982dafb279f964
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Apr 26 00:19:53 2008 -0400

    Include a the urlgrabber module

 liveusb/gui.py                   |    6 +-
 liveusb/urlgrabber/__init__.py   |   53 ++
 liveusb/urlgrabber/__init__.pyc  |  Bin 0 -> 1677 bytes
 liveusb/urlgrabber/__init__.pyo  |  Bin 0 -> 1665 bytes
 liveusb/urlgrabber/byterange.py  |  465 ++++++++++++
 liveusb/urlgrabber/byterange.pyc |  Bin 0 -> 16918 bytes
 liveusb/urlgrabber/byterange.pyo |  Bin 0 -> 16391 bytes
 liveusb/urlgrabber/grabber.py    | 1483 ++++++++++++++++++++++++++++++++++++++
 liveusb/urlgrabber/grabber.pyc   |  Bin 0 -> 53564 bytes
 liveusb/urlgrabber/grabber.pyo   |  Bin 0 -> 52714 bytes
 liveusb/urlgrabber/keepalive.py  |  603 ++++++++++++++++
 liveusb/urlgrabber/keepalive.pyc |  Bin 0 -> 20834 bytes
 liveusb/urlgrabber/keepalive.pyo |  Bin 0 -> 20266 bytes
 liveusb/urlgrabber/mirror.py     |  459 ++++++++++++
 liveusb/urlgrabber/mirror.pyc    |  Bin 0 -> 16892 bytes
 liveusb/urlgrabber/mirror.pyo    |  Bin 0 -> 16892 bytes
 liveusb/urlgrabber/progress.py   |  609 ++++++++++++++++
 liveusb/urlgrabber/progress.pyc  |  Bin 0 -> 23313 bytes
 liveusb/urlgrabber/progress.pyo  |  Bin 0 -> 22515 bytes
 19 files changed, 3675 insertions(+), 3 deletions(-)

commit 5e4189c9f575affdf915ce452da66d3199901092
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Apr 26 00:17:43 2008 -0400

    Fix a release name

 liveusb/releases.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8eeaa37bf0ff21163f5d1953031029a0f291e64f
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Apr 26 00:06:39 2008 -0400

    Pipe std{err,out} with our syslinux subprocess

 liveusb/creator.py |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 12a71e6ffe97cc2e78c18c3825d44aabdaf3e773
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Apr 26 00:03:54 2008 -0400

    Whitespace cleanups

 liveusb/gui.py |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 56f0f8dfdf8dc740b532fcaef226ac6c08167d23
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Apr 25 01:59:56 2008 -0400

    LiveUSBCreator class enhancements
    - New getReleases and getReleaseFromISO methods to deal with our known releases
    - Add existingLiveOS, getLiveOS, existingOverlay, and getOverlay helper methods
    - Add verifyImage method that verifies the SHA1 checksum of our ISO
    - Lots of other semantic cleanups

 data/fedorausb.png |  Bin 11346 -> 8861 bytes
 liveusb/creator.py |  138 ++++++++++++++++++++++++++++++++++++---------------
 2 files changed, 97 insertions(+), 41 deletions(-)

commit 2e52562d5107ede9ce61f33ec456a74b44a8ad35
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Apr 25 01:55:44 2008 -0400

    Tons of features:
    
    - Add the ability to download releases!
    - Add the ability to verify the SHA1 checksum for ISOs that we know about,
      along with a progress monitoring
    - Display how long the liveusb creation took upon completion
    - Display device labels in our drive list
      - Add a getSelectedDrive method to handle grabbing just the selected drive letter.
    - Clean up how we lock/unlock our widgets
    - Detect if a LiveOS or persistent overlay already exist, and warn the user asking
      for their confirmation before continuing.
    - By default, if no ISO is selected, kick off a download
    - Add the ability to resume failed downloads

 liveusb/gui.py |  196 ++++++++++++++++++++++++++++++++++++++++++++++++--------
 1 files changed, 169 insertions(+), 27 deletions(-)

commit cbe5aadd72c9d1f2d7d7daacc23a1ee586cf6be0
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Apr 25 01:49:48 2008 -0400

    Clean up the WindowsLiveUSBCreator._getDeviceUUID method.

 liveusb/creator.py |   22 +++++++++++++++-------
 1 files changed, 15 insertions(+), 7 deletions(-)

commit f1cd85c36e72df3d97c04b435fbf7b26d9084a85
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Apr 25 01:44:05 2008 -0400

    Handle read-only files in our syslinux directory.
    
    Since python for windows does not allow you to delete read-only files, we have to change the permissions on them if necessary.

 liveusb/creator.py |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 3f92a2ee38007841307e97a1d1f6baee18a5da69
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Apr 25 01:42:56 2008 -0400

    Add a LiveUSBError exception

 liveusb/__init__.py |    4 +++-
 liveusb/creator.py  |   10 +++++-----
 2 files changed, 8 insertions(+), 6 deletions(-)

commit 2cd5f1a64478737995edf14657bfabbd6d173d34
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Apr 25 01:38:11 2008 -0400

    Pull our releases out into a separate module

 liveusb/releases.py |   42 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 42 insertions(+), 0 deletions(-)

commit db92e710499aa787408c54293f66424115bb40be
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 20 17:41:09 2008 -0400

    Lots of GUI improvements.
    - Add a drop down list of releases to download
    - Move everything around

 data/newdialog.ui |  226 ++++++++++++++++++++++++++++++++++-------------------
 liveusb/dialog.py |  108 ++++++++++++++-----------
 2 files changed, 206 insertions(+), 128 deletions(-)

commit 7dced9c37757d758f664b5d9dd0f3ff3b07e6c56
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Apr 20 17:40:04 2008 -0400

    Call 7-Zip with the right path

 liveusb/creator.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2f0a8b6d226fa90fdd57bd3e2cb0875b38b9a641
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Apr 11 16:29:15 2008 -0400

    Have py2exe bundle everything into a single exe.  Reorg our tools a bit too.

 data/7-Zip/7z.dll       |  Bin 601088 -> 0 bytes
 data/7-Zip/7z.exe       |  Bin 141824 -> 0 bytes
 data/7-Zip/7zCon.sfx    |  Bin 136192 -> 0 bytes
 data/7-Zip/History.txt  |  777 -----------------------------------------------
 data/7-Zip/License.txt  |   79 -----
 data/7-Zip/copying.txt  |  504 ------------------------------
 data/7-Zip/readme.txt   |   65 ----
 data/dd.exe             |  Bin 342016 -> 0 bytes
 data/syslinux.exe       |  Bin 24576 -> 0 bytes
 liveusb/creator.py      |    7 +-
 liveusb/gui.py          |    2 +-
 setup.py                |   21 +-
 tools/7-Zip/7z.dll      |  Bin 0 -> 601088 bytes
 tools/7-Zip/7z.exe      |  Bin 0 -> 141824 bytes
 tools/7-Zip/7zCon.sfx   |  Bin 0 -> 136192 bytes
 tools/7-Zip/History.txt |  777 +++++++++++++++++++++++++++++++++++++++++++++++
 tools/7-Zip/License.txt |   79 +++++
 tools/7-Zip/copying.txt |  504 ++++++++++++++++++++++++++++++
 tools/7-Zip/readme.txt  |   65 ++++
 tools/dd.exe            |  Bin 0 -> 342016 bytes
 tools/syslinux.exe      |  Bin 0 -> 24576 bytes
 21 files changed, 1444 insertions(+), 1436 deletions(-)

commit 44aa9e977f4a51c05df5af91a73b0f2b87f435e0
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Apr 11 14:25:46 2008 -0400

    Get persistence working!
    - Add a _getDeviceUUID method to our LiveUSBCreator, and implement the Windows version

 liveusb/creator.py |   20 ++++++++++++++++++--
 1 files changed, 18 insertions(+), 2 deletions(-)

commit c0ff3de5a9f7c294bd159b07cec39aa54c3eb6e7
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Apr 11 14:24:23 2008 -0400

    Some minor exception cleanups

 liveusb/creator.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit ce1bfef9741b41e112302e8ecb822d183ba9d259
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Apr 11 11:51:37 2008 -0400

    dos2unix

 liveusb/dialog.py |  158 ++++++++++++++++++++++++++--------------------------
 1 files changed, 79 insertions(+), 79 deletions(-)

commit d6c874a49447748cdd70b9cbfba30a3dd751db2e
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 10 19:38:09 2008 -0400

    Update our setup.py

 setup.py |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit ca7097db8397acb2894f04f8075b6e145509503c
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 10 19:26:10 2008 -0400

    Flip some more executable bits

 0 files changed, 0 insertions(+), 0 deletions(-)

commit 2c8b3fc3fe4850478fb1a7401433fa8d488975a9
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 10 19:25:41 2008 -0400

    Flip some bits

 0 files changed, 0 insertions(+), 0 deletions(-)

commit 7cbae69539d57c99ccd323db9b81c31492790d3a
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 10 19:25:24 2008 -0400

    Add a LICENSE file

 LICENSE |  341 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 341 insertions(+), 0 deletions(-)

commit 4fef8421a08477651366f75e21c77bdfb5e52d24
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 10 19:24:39 2008 -0400

    Add win32 dd.exe, and update our README

 README      |    5 +++++
 data/dd.exe |  Bin 0 -> 342016 bytes
 2 files changed, 5 insertions(+), 0 deletions(-)

commit 8a1c69b21413fb101b408672cfbd16584bc9f9f0
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 10 19:22:37 2008 -0400

    Lots of GUI changes.
    - Add a LiveUSBThread that does the actual work.  This sends status signals
      to the main dialog, which then updates the status text area.
    - Add a ProgressThread that checks up on how much work has been done, and
      sends signals to the main dialog which updates our progress bar
    - Lots of other UI improvements

 liveusb/gui.py |  146 ++++++++++++++++++++++++++++++++++++++++++++++++-------
 1 files changed, 127 insertions(+), 19 deletions(-)

commit cf9b2bebf9a72784306f58ac2395820fa93bc6b6
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 10 18:44:32 2008 -0400

    Add a checkFreeSpace method to make sure we have enough space on the device before proceeding

 liveusb/creator.py |   15 +++++++++++++++
 1 files changed, 15 insertions(+), 0 deletions(-)

commit 89952f4d29ba5d329760e5ca83d493f1c1ae7ed7
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 10 18:42:18 2008 -0400

    If we only find 1 drive, then default to it

 liveusb/creator.py |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 48f160e12f2046e060821f100995674e1ac2f2ca
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 10 18:41:50 2008 -0400

    Add a writeLog method to the LiveUSBCreator that is called before throwing an exception after a failing subprocess

 liveusb/creator.py |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 9d7035f2b7055a90e37c099c922ffbb28ff7579c
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 10 18:40:34 2008 -0400

    Replace our os.system calls with subprocess.  Upon errors, write the
    stdin and stderr of the processes to a file before throwing an exception.

 liveusb/creator.py |   21 ++++++++++++++++-----
 1 files changed, 16 insertions(+), 5 deletions(-)

commit 0a6fa7d27b78181a12133fd1c396c2e0704c2bff
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 10 18:39:18 2008 -0400

    Remove the syslinux directory if it exiss

 liveusb/creator.py |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 39a03d32edd8caed9fab1b24883e69f7a981b436
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 10 18:36:17 2008 -0400

    Add persistent overlay support.  This is not fully complete yet, as
    we need to figure out how to grab the device UUID from windows.

 liveusb/creator.py |   30 ++++++++++++++++++++++++++++++
 1 files changed, 30 insertions(+), 0 deletions(-)

commit f2fcf0659e7ff0ef8830ae0fe2e56af7b5310ad9
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 10 18:33:59 2008 -0400

    Add overlay and log fields to the LiveUSBCreator parent class

 liveusb/creator.py |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit de1f79a774091910022544321157581af6684a84
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 10 18:28:51 2008 -0400

    Add a redesigned UI file

 data/newdialog.ui |  130 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 130 insertions(+), 0 deletions(-)

commit ce961baae0f92402cf7545848d145ed8f4b176af
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 10 18:28:30 2008 -0400

    Add a newly generated dialog module from the newdialog.ui interface

 liveusb/dialog.py |   79 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 79 insertions(+), 0 deletions(-)

commit b99cb1e1380f70e77f969297dac8367ee3ad331d
Author: Luke Macken <lmacken@redhat.com>
Date:   Thu Apr 10 18:27:50 2008 -0400

    Remove luDialog.py in favor of the new liveusb.dialog module

 liveusb/luDialog.py |   74 ---------------------------------------------------
 1 files changed, 0 insertions(+), 74 deletions(-)

commit b91799f09f7028ee95924fd1097cd2419d81b675
Merge: 12abbb7 f6d0187
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Apr 8 17:01:18 2008 -0400

    Merge branch 'master' of ssh://git.fedorahosted.org/git/liveusb-creator

commit 12abbb7e734b6eb0c058ba163aca0c6cdc2a6fe5
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Apr 8 17:00:48 2008 -0400

    Docstrings and new-style classes are good

 liveusb/creator.py |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit d4cdb5287bcd611441bfcd5eb4b742478496ef97
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Apr 8 16:55:15 2008 -0400

    Add an __all__ global to our liveusb module

 liveusb/__init__.py |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 2e08a6bc04c024ea02d0f44bff13ec1180c3a5dd
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Apr 8 16:53:39 2008 -0400

    README updates

 README |   17 +++++++++++------
 1 files changed, 11 insertions(+), 6 deletions(-)

commit f6d0187ad5d82f73a463ed0af5da26138b024196
Author: Kushal Das <kushal@fedoraproject.org>
Date:   Mon Apr 7 06:18:07 2008 +0530

    New persistent overlay spinbox added in the GUI, also text changed for the burnBttn

 data/luDialog.ui    |   27 ++++++++++++---------------
 liveusb/luDialog.py |   27 +++++++++++++++++----------
 2 files changed, 29 insertions(+), 25 deletions(-)

commit d5a635f2f4baa64043bcd94139fb7c459abf6b59
Author: Kushal Das <kd@kdlappy.(none)>
Date:   Wed Feb 27 10:56:43 2008 +0530

    liveusb-creator.py filename fixed in setup.py also changed the icon path in the same file

 setup.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 1cb22a043c33405104daf7a99cd8955f1eda451e
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Feb 22 10:37:52 2008 -0500

    Add a logo from Kushal

 data/fedorausb.png |  Bin 0 -> 11346 bytes
 liveusb-creator.py |    2 +-
 liveusb/creator.py |    3 ++-
 3 files changed, 3 insertions(+), 2 deletions(-)

commit 12f2aff9151a667b89915f86c1c977a81ff02487
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Feb 12 23:21:03 2008 -0500

    Update the changelog

 ChangeLog |  208 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 208 insertions(+), 0 deletions(-)

commit a0a67cd754edb0a05d1832e8468fd632bbafab21
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Feb 8 03:57:25 2008 -0500

    Update our setup.py to pull in PyQt4 when we py2exe

 setup.py |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit 5fe91c186f3e86293d9b7aa27cb2ae023babf1b3
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Feb 8 03:52:08 2008 -0500

    Update the path to our icon

 setup.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2a1c30763a60c3a66d44609f2a478d1e611ad86c
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Feb 8 03:25:36 2008 -0500

    Add authors file

 AUTHORS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 04567b3a24417d2dddb205e236c2f885447fe68f
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Feb 8 03:23:27 2008 -0500

    Add '--nogui' option to liveusb-creator.py

 liveusb-creator.py |   16 +++++++---------
 1 files changed, 7 insertions(+), 9 deletions(-)

commit 97a33f57c6820bf505330f768b1d8999bd7d64fe
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Feb 8 03:11:51 2008 -0500

    Reorganize the project, making it much more modular.
    
    Broke code out into, liveusb.{creator,gui}
    Organize our binaries and other data

 7-Zip/7z.dll           |  Bin 601088 -> 0 bytes
 7-Zip/7z.exe           |  Bin 141824 -> 0 bytes
 7-Zip/7zCon.sfx        |  Bin 136192 -> 0 bytes
 7-Zip/History.txt      |  777 ------------------------------------------------
 7-Zip/License.txt      |   79 -----
 7-Zip/copying.txt      |  504 -------------------------------
 7-Zip/readme.txt       |   65 ----
 README                 |   15 +-
 data/7-Zip/7z.dll      |  Bin 0 -> 601088 bytes
 data/7-Zip/7z.exe      |  Bin 0 -> 141824 bytes
 data/7-Zip/7zCon.sfx   |  Bin 0 -> 136192 bytes
 data/7-Zip/History.txt |  777 ++++++++++++++++++++++++++++++++++++++++++++++++
 data/7-Zip/License.txt |   79 +++++
 data/7-Zip/copying.txt |  504 +++++++++++++++++++++++++++++++
 data/7-Zip/readme.txt  |   65 ++++
 data/fedora.ico        |  Bin 0 -> 9662 bytes
 data/luDialog.ui       |  107 +++++++
 data/syslinux.exe      |  Bin 0 -> 24576 bytes
 fedora.ico             |  Bin 9662 -> 0 bytes
 liveusb-creator.py     |  108 +-------
 liveusb/__init__.py    |   33 ++
 liveusb/luDialog.py    |   67 ++++
 setup.py               |    4 +-
 syslinux.exe           |  Bin 24576 -> 0 bytes
 24 files changed, 1655 insertions(+), 1529 deletions(-)

commit c07051b82df32da1d3c410d37e970bc5da9e3a4c
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Feb 8 03:09:09 2008 -0500

    Pull our LiveUSBCreator out into the liveusb.creator module.
    
    The best way to get to this is via 'liveusb.LiveUSBCreator', which will return
    either a LinuxLiveUSBCreator, or a WindowsLiveUSBCreator based on your platform.

 liveusb/creator.py |  149 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 149 insertions(+), 0 deletions(-)

commit 1b33fe06d8b3802cfca2806948cd9ece9fd250fd
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Feb 8 03:07:26 2008 -0500

    Pull our PyQt gui out into the liveusb.gui module

 liveusb/gui.py |   69 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 69 insertions(+), 0 deletions(-)

commit 7a4db09e3389db981af15e97e40cf8d92e7ea89f
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Feb 6 14:45:19 2008 -0500

    Update ChangeLog

 ChangeLog |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 37817f778f44c8860e851e9ccb73cd99f38e5688
Author: Luke Macken <lmacken@redhat.com>
Date:   Wed Feb 6 14:44:56 2008 -0500

    Update our copyright and license

 liveusb-creator.py |   29 ++++++++++++++++-------------
 1 files changed, 16 insertions(+), 13 deletions(-)

commit 0c75877ab7b3bc5a31b632d9f1fe23da17638f79
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Feb 5 22:16:27 2008 -0500

    Add a ChangeLog

 ChangeLog |   95 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 95 insertions(+), 0 deletions(-)

commit b4adea4e8826cdf62b5ed4924fedf1c5961cbd9c
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Feb 5 22:13:03 2008 -0500

    Wipe out any old syslinux directories if we have to

 liveusb-creator.py |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 67984d05973dcdd0828673bdeae939bba2f9fe0f
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Feb 5 21:42:52 2008 -0500

    Rename project to liveusb-creator

 README               |    4 +-
 livecd-iso-to-usb.py |  130 --------------------------------------------------
 liveusb-creator.py   |  130 ++++++++++++++++++++++++++++++++++++++++++++++++++
 setup.py             |    2 +-
 4 files changed, 133 insertions(+), 133 deletions(-)

commit 625062a0065cdef7bc99f90e7a59760e96eeb472
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Feb 4 00:57:53 2008 -0500

    Catch exceptions when calling win32api.GetVolumeInformation, and tell the user to make sure their USB key is plugged in and formatted properly.

 livecd-iso-to-usb.py |   16 ++++++++++------
 1 files changed, 10 insertions(+), 6 deletions(-)

commit cd45aaa1f62b2318883902b1713a2ea55618e037
Author: Luke Macken <lmacken@redhat.com>
Date:   Mon Feb 4 00:09:05 2008 -0500

    Include syslinux and 7-Zip in our setup.py

 setup.py |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit c4541d82c5636f3e499e3198b25afc492e697c10
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Feb 3 23:39:26 2008 -0500

    Add fedora.ico, thanks to Máirín Duffy.

 fedora.ico |  Bin 0 -> 9662 bytes
 setup.py   |    9 ++++++++-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit baec42f7350c3f1a5e3e9ee08dfc289a717e2e64
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Feb 3 17:20:11 2008 -0500

    Elaborate on our invalid filesystem exception message

 livecd-iso-to-usb.py |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 6170c673fa60392be8503ab2d4dfdf60d25c708f
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Feb 3 02:45:35 2008 -0500

    s/FAT16/FAT/

 livecd-iso-to-usb.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cb197ac29f174fbed6fc8122c3b79cea85953786
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Feb 3 02:45:13 2008 -0500

    Remove unused module

 livecd-iso-to-usb.py |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 0492c82bd6608539b3852311213ab56e11366fdf
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Feb 3 02:44:52 2008 -0500

    Notify the user if their USB key already contains a LiveOS

 livecd-iso-to-usb.py |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit cda5637c30a38ed911af485f28058a21a440f1a2
Author: Luke Macken <lmacken@redhat.com>
Date:   Sun Feb 3 02:37:33 2008 -0500

    Specify that this works on F7+

 livecd-iso-to-usb.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 7bc1cb196d59d88449120d9e50b898543b230697
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Feb 2 04:50:47 2008 -0500

    Fix up some error message formatting

 livecd-iso-to-usb.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 364de99e8c8641b554c788c33435525a70b50875
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Feb 2 04:47:55 2008 -0500

    Proper syntax tends to help

 livecd-iso-to-usb.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1f0aa6f79f367219300f552d8d2c019af93e6db9
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Feb 2 04:44:24 2008 -0500

    Throw our download message in the exception.

 livecd-iso-to-usb.py |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit d16298ece498a457f723bb28e741a40dfb0ee7aa
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Feb 2 04:25:55 2008 -0500

    Add a README

 README |   26 ++++++++++++++++++++++++++
 1 files changed, 26 insertions(+), 0 deletions(-)

commit f71f6e2a509027f6faf12d4aacf3f900027c86d3
Author: Luke Macken <lmacken@redhat.com>
Date:   Sat Feb 2 04:24:04 2008 -0500

    Add license to header

 livecd-iso-to-usb.py |   24 +++++++++++++++++++-----
 1 files changed, 19 insertions(+), 5 deletions(-)

commit c221332dbdf0843e25be3810e118eb7e0181afb9
Author: Luke Macken <lmacken@redhat.com>
Date:   Fri Feb 1 20:22:34 2008 -0500

    Initial code dump

 7-Zip/7z.dll         |  Bin 0 -> 601088 bytes
 7-Zip/7z.exe         |  Bin 0 -> 141824 bytes
 7-Zip/7zCon.sfx      |  Bin 0 -> 136192 bytes
 7-Zip/History.txt    |  777 ++++++++++++++++++++++++++++++++++++++++++++++++++
 7-Zip/License.txt    |   79 +++++
 7-Zip/copying.txt    |  504 ++++++++++++++++++++++++++++++++
 7-Zip/readme.txt     |   65 +++++
 livecd-iso-to-usb.py |  111 +++++++
 setup.py             |    4 +
 syslinux.exe         |  Bin 0 -> 24576 bytes
 10 files changed, 1540 insertions(+), 0 deletions(-)
